<link href="../markdown2.css" rel="stylesheet"></link>

<title>0.1. What one needs to know?</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$

$\newcommand{\const}{\mathrm{const}}$




## What one needs to know?
> 1.  [Multivariable Calculus](#calculus2)
> 2.  [Ordinary Differential Equations](#ode)

**Assets:** (useful but not required)



1. Complex Variables,
2. Elements of (Real) Analysis,
3. Any courses in Physics, Chemistry etc using PDEs (taken previously or now).



####<a name="calculus2">Multivariable Calculus</a>
#####Differential calculus

1. Partial Derivatives (first, higher order), differential, gradient, chain rule;
2. Taylor formula;
3. Extremums, stationary points, classification of stationart points using second derivatives; *Asset:* Extremums with constrains.

#####Integral calculus

1. Multidimensional integral, calculations in Cartesian coordinates;
2. Change of variables, Jacobian, calculation in polar, cylindrical, spherical coordinates;
3. Path, Line, Surface integrals, calculations;
4. Green, Gauss, Stokes formulae;
5. $\nabla u$, $\nabla \times A$, $\nabla \cdot A$, $\Delta u$ where $u$ is a scalar field and $A$ is a vector field.


####<a name="mode">Ordinary Differential Equations</a>
#####First order equations

1. Definition, Cauchy problem, existence and uniqueness;
2. Equations with separating variables, integrable, linear.

#####Higher order equations

1. Definition, Cauchy problem, existence and uniqueness;

#####Linear equations of order $\ge 2$

1. General theory, Cauchy problem, existence and uniqueness;
2. Linear homogeneous equations, fundamental system of solutions, Wronskian;
3. Method of variations of constant parameters.

##### Linear equations of order $\ge 2$ with constant coefficients

1. Fundamental system of solutions: simple, multiple, complex roots;
2. Solutions for equations with quasipolynomial right-hand expressions; method of undetermined coefficients.

##### Systems

1. General systems, Cauchy problem, existence and uniqueness;
2. Linear systems, linear homogeneous systems, fundamental system of solutions, Wronskian;
3. Method of variations of constant parameters;
4. Linear systems with constant coefficients.

 [$\Leftarrow$](./S0.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter1/S1.1.html)
