<link href="../markdown.css" rel="stylesheet"></link>

<title>1.P. Problems to Chapter 1</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$


##[1. Problems to Chapter 1](id:sect-1.P)

> 1. [Problem 1](#problem-1.P.1)
> 2. [Problem 2](#problem-1.P.2)
> 3. [Problem 3](#problem-1.P.3)
> 4. [Problem 4](#problem-1.P.4)
> 5. [Problem 5](#problem-1.P.5)

**[Problem 1.](id:problem-1.P.1)**
Consider first order equations and determine if they are linear homogeneous, linear inhomogeneous or non-linear ($u$ is an unknown function):
\begin{gather\*}
u\_t+xu\_x= 0,\\\\
u\_t+uu\_x= 0,\\\\
u\_t+xu\_x- u=0,\\\\
u\_t+u u\_x+x=0,\\\\
u\_t + u\_x -u^2=0,\\\\
u\_t^2-u\_x^2-1=0,\\\\
u\_x^2+u\_y^2-1=0,\\\\
x u\_x + y u\_y+ zu\_z=0,\\\\
 u\_x^2 +  u\_y^2+ u\_z^2-1=0,\\\\
u\_t + u\_x^2+u\_y^2=0.
\end{gather\*}
For non-linear equations determine if they are *quasilinear* (quasilinear= linear with respect to first-order derivatives $(u\_x,u\_y)$, but not  to derivatives and function itself $(u\_x,u\_y,u)$.

**[Problem 2.](id:problem-1.P.2)**
Consider equations and determine their order; determine if they are linear homogeneous, linear inhomogeneous or non-linear ($u$ is an unknown function):
\begin{gather\*}
&u\_t+ (1+x^2)u\_{xx}=0,\\\\
&u\_t- (1+u^2)u\_{xx}=0,\\\\
&u\_t +u\_{xxx}=0,\\\\
&u\_t +uu\_x+u\_{xxx}=0,\\\\
&u\_{tt}+u\_{xxxx}=0,\\\\
&u\_{tt}+u\_{xxxx}+u=0,\\\\
&u\_{tt}+u\_{xxxx}+\sin(x)=0,\\\\
&u\_{tt}+u\_{xxxx}+\sin(x)\sin(u)=0.
\end{gather\*}

**[Problem 3.](id:problem-1.P.3)**
Find the general solutions to the following equations
\begin{align\*}
u\_{xy}&=0,\\\\
u\_{xy}&= 2u\_x,\\\\
u\_{xy}&=e^{x+y},\\\\
u\_{xy}&= 2u\_x+e^{x+y}.
\end{align\*}
*Hint:* Introduce $v=u\_x$ and find it first.

**[Problem 4.](id:problem-1.P.4)**
Find the general solutions to the following equations
\begin{align\*}
u u\_{xy}&=u\_xu\_y,\\\\
u u\_{xy}&= 2u\_xu\_y,\\\\
u\_{xy}&=u\_x u\_y
\end{align\*}
*Hint:* Divide two first equations by $uu\_x$ and observe that both the right and left-hand expressions are derivative with respect to $y$ of $\ln (u\_x)$ and $\ln (u)$ respectively. Divide the last equation by $u\_x$.

**[Problem 5.](id:problem-1.P.5)**
Find the general solutions to the following equations
\begin{align\*}
u\_{xxyy}&=0, \\\\
u\_{xyz}&= 0,\\\\
u\_{xxyy}&=\sin(x)\sin(y),\\\\
u\_{xyz}&= \sin(x)\sin(y)\sin(z),\\\\
u\_{xyz}&= \sin(x)+\sin(y)+\sin(z).
\end{align\*}




________

[$\Leftarrow$](./S1.4.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter2/S2.1.html)


