<link href="../markdown.css" rel="stylesheet"></link>

<title>10.2. Functionals, extremums and variations</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$
$\newcommand{\bfnu}{\boldsymbol{\nu}}$



##[10.2. Functionals, extremums and variations](id:sect-10.2)

> 1.  [Boundary conditions](#sect-10.2.1)
> 2.  [Vector and complex valued functions](#sect-10.2.2)
> 3.  [Extremals under constrains. I](#sect-10.2.3)
> 4.  [Extremals under constrains. II](#sect-10.2.4)
> 5.  [Higher order functionals](#sect-10.2.5)

###[Boundary conditions](id:sect-10.2.1)

Let us consider functional ([10.1.4](./S10.1.html##mjx-eqn-eq-10.1.4)) but now instead of constrain ([10.1.7](./S10.1.html#mjx-eqn-eq-10.1.7)) we put a less restrictive
\begin{equation}
\delta u |\_{\Sigma}=0
\label{eq-10.2.1}
\end{equation}
where $\Sigma \subset \partial \Omega$ (may be even empty). Then Euler-Lagrange equation ([10.1.9](./S10.1.html#mjx-eqn-eq-10.1.9)) must still be fulfilled but it does not guarantee that $\delta \Phi=0$ for all admissible variations as according to ([10.1.6](./S10.1.html#mjx-eqn-eq-10.1.6))
\begin{equation}
\delta \Phi=
\iint\_{\partial \Sigma'} \Bigl(-\sum\_{1\le j\le n} \frac{\partial L}{\partial u\_{x\_j}}\nu\_j \Bigr)\delta u \,d\sigma
\label{eq-10.2.2}
\end{equation}
where $\Sigma'=\partial \Omega\setminus \Sigma$: the part of $\partial\Omega$ complemental to $\Sigma$.

Now we need to have it be $0$ as well an since $\delta u$ is arbitrary there according to [Lemma 10.1.1](./S10.1.html#lemma-10.1.1) we need to have expression in parenthesis vanish:
\begin{equation}
\Bigl(-\sum\_{1\le j\le n} \frac{\partial L}{\partial u\_{x\_j}}\nu\_j\Bigr)\Bigr|\_{\Sigma'}=0.
\label{eq-10.2.3}
\end{equation}
However under assumption (\ref{eq-10.2.1}) it makes sense to consider more general functional than ([10.1.4](./S10.1.html##mjx-eqn-eq-10.1.4)):
\begin{equation}
\Phi[u]= \iiint\_\Omega L(x, u,\nabla u)\,dx +
\underbracket{\iint\_{\Sigma'} M(x,u)\,d\sigma}
\label{eq-10.2.4}
\end{equation}
which includes a *boundary term*. One can see easily that variation of the boundary term is  $\iint\_{\Sigma'} \frac{\partial M}{\partial u}\delta \,d\sigma$ which should be added to (\ref{eq-10.2.2}) which becomes
\begin{equation}
\delta \Phi=
\iint\_{\partial \Sigma'} \Bigl(-\sum\_{1\le j\le n} \frac{\partial L}{\partial u\_{x\_j}}\nu\_j + \frac{\partial M}{\partial u}\Bigr)\delta u \,d\sigma;
\label{eq-10.2.5}
\end{equation}
then (\ref{eq-10.2.3}) becomes
\begin{equation}
\Bigl(-\sum\_{1\le j\le n} \frac{\partial L}{\partial u\_{x\_j}}\nu\_j+  \frac{\partial M}{\partial u} \Bigr)\Bigr|\_{\Sigma'}=0.
\label{eq-10.2.6}
\end{equation}
Then we arrive to the following generalization of [Theorem 10.1.1](./S10.1.html#thm-10.1.1):

**[Theorem 1.](id:thm-10.2.1)**
Let us consider a functional (\ref{eq-10.2.4}) and consider as admissible all $\delta u$ satisfying (\ref{eq-10.2.1}). Then $u$ is a stationary point of $\Phi$ if and only if it satisfies  Euler-Lagrange equation  ([10.1.9](./S10.1.html#mjx-eqn-eq-10.1.9)) and a boundary condition (\ref{eq-10.2.6}).
<!--\end{theorem}-->

**[Example 1.](id:example-10.2.1)**
Consider
\begin{equation}
\iiint\_{\Omega} \Bigl(\frac{1}{2} |\nabla u|^2-f(x)u\Bigr) \,d^n x +
\iint\_{\Sigma'} \Bigl(\frac{1}{2} \alpha (x) | u|^2-h(x)u\Bigr)\,d\sigma
\label{eq-10.2.7}
\end{equation}
under assumption
\begin{equation}
u|\_{\Sigma}=g.
\label{eq-10.2.8}
\end{equation}
Then we have equation
\begin{equation}
\Delta u =-f
\label{eq-10.2.9}
\end{equation}
with the boundary condition (\ref{eq-10.2.8}) on $\Sigma$ and
\begin{equation}
\bigl(  \frac{\partial u}{\partial \bfnu}-\alpha u\bigr)\bigl|\_{\Sigma'} =-h
\label{eq-10.2.10}
\end{equation}
on $\Sigma'$. So at each point of the boundary we have exactly one condition.

Observe that (\ref{eq-10.2.10}) is Robin condition (Neumann condition as $\alpha=0$).
<!--\end{example}-->

###[Vector and complex valued functions](id:sect-10.2.2)

If our function $u(x)$ is vector–valued: $u=(u\_1,\ldots,u\_m)$ then we can consider variations with respect to different components and derive corresponding equations
\begin{equation}
\frac{\partial L}{\partial u\_k} - \sum\_{1\le j\le n}
\frac{\partial\ }{\partial x\_j} \frac{\partial L}{\partial u\_{k,x\_j}} =0 \qquad k=1,\ldots,m.
\label{eq-10.2.11}
\end{equation}
We also get boundary conditions

**[Example 2.](id:example-10.2.2)**

a. Consider functional
\begin{equation}
\Phi[\mathbf{u}]=
\frac{1}{2}\iiint\_\Omega \Bigl( \alpha |\nabla \otimes \mathbf{u}|^2 +\beta |\nabla\cdot\mathbf{u}|^2\Bigr)\,dx
\label{eq-10.2.12}
\end{equation}
with $\mathbf{u}=(u\_1,\ldots,u\_n)$,
$|\nabla \otimes \mathbf{u}|^2=\sum\_{j,k} |u\_{k,x\_j}|^2$,
$\nabla\cdot\mathbf{u}= \sum\_{j} u\_{j,x\_j}$. Then as $\delta\mathbf{u}=0$ on $\partial\Omega$
\begin{equation}
\delta \Phi=\iiint\_\Omega \Bigl( -\alpha (\Delta \mathbf{u}) -\beta \nabla (\nabla\cdot\mathbf{u})\Bigr)\cdot \delta \mathbf{u}\,dx
\label{eq-10.2.13}
\end{equation}
where for simplicity we assume that $\alpha$ and $\beta$ are constant and we have a system
\begin{equation}
-\alpha \Delta \mathbf{u}  -\beta \nabla (\nabla\cdot\mathbf{u})=0.
\label{eq-10.2.14}
\end{equation}
b. Then without for this functional
\begin{equation}
\delta\Phi = -\iint\_{\Sigma'}
\Bigl(\alpha \frac{\partial\mathbf{u}}{\partial\bfnu} +\beta  (\nabla\cdot\mathbf{u})\bfnu \Bigr)\cdot \delta \mathbf{u} \,d\sigma=0
\label{eq-10.2.15}
\end{equation}
with $\frac{\partial\mathbf{u}}{\partial\bfnu}:=
\sum\_j \nu_j \frac{\partial\mathbf{u}}{\partial x\_j}$. Then if we assume that $\delta\mathbf{u}$ on $\Sigma'$ can be arbitrary, we arrive to boundary condition
\begin{equation}
\alpha \frac{\partial\mathbf{u}}{\partial\bfnu} +\beta  (\nabla\cdot\mathbf{u})\bfnu=0.
\label{eq-10.2.16}
\end{equation}
c. However there could be other "natural" conditions on $\Sigma'$. F.e. if we assume that $\delta \mathbf{u}\parallel \bfnu$ on $\Sigma'$ we get
\begin{equation}
\left(\alpha \frac{\partial\mathbf{u}}{\partial\bfnu} +\beta  (\nabla\cdot\mathbf{u})\bfnu\right)\cdot\bfnu =0;
\label{eq-10.2.17}
\end{equation}
if we assume instead that $\delta \mathbf{u}\cdot \bfnu=0$ we get
\begin{equation}
\frac{\partial\mathbf{u}}{\partial\bfnu} \parallel \bfnu =0.
\label{eq-10.2.18}
\end{equation}
Here and everywhere $\parallel$ means parallel (proportional).
<!--\end{example}-->

**[Remark 1.](id:remark-10.2.1)**
Complex-valued functions $u$ could be considered as vector-valued functions
$\mathbf{u}=\left(\Re u\\\\ \Im u\right)$. Similarly we can treat functions which are vector–valued with complex components: we just double $m$.
<!--\end{remark}-->

###[Extremals under constrains. I](id:sect-10.2.3)

We can consider extremals of functionals under constrains
\begin{equation}
\Psi\_1[u]=\Psi\_2[u]=\ldots=\Psi\_s[u]=0
\label{eq-10.2.19}
\end{equation}
where  $\Psi\_j$ are other functionals. This is done in the same way as for extremums of functions of several variables: instead of $\Phi[u]$ we consider *Lagrange functional*
\begin{equation}
\Phi^\*[u]:=
\Phi[u]-\lambda\_1\Psi\_1[u]-\lambda\_2\Psi\_2[u]-\ldots-\lambda\_s \Psi\_s[u]
\label{eq-10.2.20}
\end{equation}
and look for it extremals without constrains; factors $\lambda\_1,\ldots,\lambda\_s$ are *Lagrange multipliers*.

**[Remark 2.](id:remark-10.2.2)**
This works provided $\delta \Psi\_1,\ldots,\delta\Psi\_s$ are *linearly independent* which means that if
$\alpha\_1\delta\Psi\_1[u]+\alpha\_2\delta\Psi\_2[u]+\ldots
+\alpha\_s \delta\Psi\_s[u]=0$ for all admissible $\delta u$ then $\alpha\_=\ldots=\alpha\_s=0$.
<!--\end{remark}-->

**[Example 3.](id:example-10.2.3)**

a. Let us consider
    \begin{equation}
    \Phi [u]:=\frac{1}{2}\int |\nabla u|^2\, dx
    \label{eq-10.2.21}
    \end{equation}
    under constrains
    \begin{equation}
    \Psi [u]:=\frac{1}{2}\int |u|^2\, dx
    \label{eq-10.2.22}
    \end{equation}
    and $u|\_{\partial\Omega}=0$. Then
    $\Phi^\*[u]=\frac{1}{2}\int \bigl(|\nabla u|^2-\lambda |u|^2\bigr)\, dx$ and
    Euler-Lagrange equation is
    \begin{equation}
    -\Delta u=\lambda u;
    \label{eq-10.2.23}
    \end{equation}
    so $\lambda$ and $u$ must be eigenvalue and eigenfunction of $-\Delta$
    (with Dirichlet boundary conditions. However only the lowest (base)
    eigenvalue $\lambda\_1$ delivers minimum.
b.  To deal with the the next eigenvalues and eigenfunctions  let us assume that
    we got $\lambda\_1,\ldots,\lambda\_{s-1}$ and orthogonal
    $u\_1,\ldots,u\_{s-1}$ and let us consider constrains
    (\ref{eq-10.2.22}) and
    \begin{equation}
    (u,u\_1)=(u,u\_2)=\ldots=(u,u\_{s-1})=0
    \label{eq-10.2.24}
    \end{equation}
    where $(u,v)=\iint\_\Omega u v\,dx$ is an inner product (we consider
    real-valued functions). Then
    $\Phi^\*[u]=\int \bigl(\frac{1}{2}|\nabla u|^2-\frac{\lambda}{2}
    |u|^2-\mu\_1 u\_1 u -\ldots \mu\_{s-1}u\_{s-1}u\bigr)\, dx$ and we
    arrive to equation
    \begin{equation}
    -\Delta u- \lambda u - \mu\_1u\_1-\ldots-\mu\_{s-1}u\_{s-1}=0.
    \label{eq-10.2.25}
    \end{equation}
    Taking an inner product with $u\_k$ we arrive to
    \begin{equation\*}
    -((\Delta + \lambda) u,u\_k) - \mu\_k\\|u\_k\\|^2=0
    \end{equation\*}
    because we know that $u\_1,\ldots,u\_{s-1}$ are orthogonal. Further,
    $((\Delta + \lambda) u,u\_k)=( u, (\Delta + \lambda) u\_k)=
    ( u, (-\lambda\_k + \lambda) u\_k)=0$ and we conclude that $\mu\_k=0$. Then
     (\ref{eq-10.2.24}) implies
     \begin{equation}
    -\Delta u- \lambda u =0
    \label{eq-10.2.26}
    \end{equation}
    and we got the next eigenvalue and eigenfunction.
c.  The same analysis works for Neumann and Robin boundary conditions (but we
    need to assume that $\alpha \ge 0$ or at least is not "too negative".
<!--\end{example}-->

###[Extremals under constrains. II](id:sect-10.2.4)

However constrains could be different from those described in the previous subsection. They can be not in the form of functionals but in the form of functions. In this case we have continuum conditions and Lagrange multipliers became functions as well. Let us consider this on examples.

**[Example 4.](id:example-10.2.4)**
Consider $\mathbf{u}$ as in [Example 2.](#example-10.2.2) and functional
\begin{equation}
\Phi [u]=\frac{1}{2}\iiint\_\Omega |\nabla \otimes \mathbf{u}|^2\,dx
\label{eq-10.2.27}
\end{equation}
under constrain
\begin{equation}
\nabla \cdot \mathbf{u}=0.
\label{eq-10.2.28}
\end{equation}
Then we consider functional
\begin{equation\*}
\Phi [u]=\iiint\_\Omega \bigl( \frac{1}{2}|\nabla \otimes \mathbf{u}|^2-
\lambda (x) \nabla \cdot \mathbf{u}\bigr) \,dx=
\iiint\_\Omega \bigl( \frac{1}{2}|\nabla \otimes \mathbf{u}|^2+
\nabla \lambda (x) \cdot \mathbf{u}\bigr) \,dx
\end{equation\*}
where we integrated by parts and ignored boundary term since here we are interested only in equation rather than boundary conditions. Then Euler-Lagrange equation is
\begin{equation}
\Delta \mathbf{u}= \nabla \lambda
\label{eq-10.2.29}
\end{equation}
with unknown function $\lambda$. However the right-hand expression is not an arbitrary vector-valued function but a gradient of some scalar function. Applying $\nabla\cdot $ to (\ref{eq-10.2.29}) and using (\ref{eq-10.2.28}) we conclude that $\Delta\lambda=0$ so $\lambda$ is a harmonic function.
<!--\end{example}-->

**[Example 5.](id:example-10.2.5)**
[Example 2](#example-10.2.2)(c) could be considered in the same way. Indeed, let us consider constrain $\mathbf{u}\cdot \bfnu=0$ at $\Sigma'$. Then we need to consider functional
$\Phi^*[u]=\Phi [u] -\iint\_{\Sigma} \lambda (x)\mathbf{u}\cdot \bfnu \,d\sigma$
where $\Phi [u]$ is defined by (\ref{eq-10.2.12}) and $\lambda$ is unknown function on $\Sigma'$. We arrive to the same equation (\ref{eq-10.2.14}) but now
(\ref{eq-10.2.15}) becomes
\begin{equation\*}
\delta\Phi = -\iint\_{\Sigma'}
\Bigl(\alpha \frac{\partial\mathbf{u}}{\partial\bfnu} +
\underbracket{(\lambda +\beta  \nabla\cdot\mathbf{u})}\bfnu \Bigr)\cdot \delta \mathbf{u} \,d\sigma=0
\end{equation\*}
and we have no constrains to $\delta\mathbf{u}$ on $\Sigma'$ and we arrive to condition that expression in the parenthesis is $0$ at $\Sigma'$. Since $\lambda$ and thus highlighted expression are arbitrary functions on $\Sigma'$ we arrive exactly to (\ref{eq-10.2.18}).
<!--\end{example}-->

**[Remark 3.](id:remark-10.2.3)**
Obviously we can combine different types of constrains and different types of Lagrange multipliers.
<!--\end{remark}-->

###[Higher order functionals](id:sect-10.2.5)

We could include into functional higher-order derivatives. Let us consider functional
\begin{equation}
\Phi[u]= \iiint\_\Omega L(x, u,\nabla u, \nabla ^{(2)}u)\,dx
\label{eq-10.2.30}
\end{equation}
where $\nabla^{(2)}u$ is a set of all derivatives $u\_{x\_ix\_j}$ with $i\le j$ (Think why). Then the same arguments as before lead us to Euler-Lagrange equation
\begin{equation}
\frac{\delta \Phi}{\delta u}:=
\frac{\partial L}{\partial u} - \sum\_{1\le j\le n}
\frac{\partial\ }{\partial x\_j}
\left(\frac{\partial L}{\partial u\_{x\_j}}\right) +
\sum\_{1\le i\le j\le n} \frac{\partial^2\ }{\partial x\_i\partial x\_j} \left(\frac{\partial L}{\partial u\_{x\_ix\_j}}\right)=0.
\label{eq-10.2.31}
\end{equation}
But what about boundary conditions? We need to have now two of them at each point. Obviously we have them if we are looking for solution satisfying
\begin{equation}
u\bigr|\_{\partial\Omega}=g(x),\
\frac{\partial u}{\partial \bfnu}\bigr|\_{\partial\Omega}=h(x).
\label{eq-10.2.32}
\end{equation}
Otherwise we need to consider $\delta \Phi$. We consider this only on example.

**[Example 6.](id:example-10.2.6)**
 Let
\begin{equation}
\Phi[u] =
\frac{1}{2}\iiint\_\Omega \Bigl(\sum\_{i,j} |u\_{x\_i x\_j}|^2 \Bigr)\,dx.
\label{eq-10.2.33}
\end{equation}
where we sum with respect to all pairs $i,j$ (so $|u\_{x\_i x\_j}|^2$ with
$i\ne j$ is added twice. Then equation is
\begin{equation}
\Delta^2 u=0
\label{eq-10.2.34}
\end{equation}
(so $u$ is *biharmonic function*) and
\begin{equation}
\delta \Phi = \iint\_{\Sigma'} \Bigl(
-\sum\_{i,j} u\_{x\_ix\_j}\nu\_i \delta u\_{x\_j} +
\sum\_{i,j} (\Delta u\_{x\_j}) \nu\_j\delta u \Bigr)\,d\sigma
\label{eq-10.2.35}
\end{equation}

a. If we have have both constrains (\ref{eq-10.2.32}) then we are done.
b. Let us have only the first of constrains (\ref{eq-10.2.32}).
    Then n $\Sigma'$  we have $\delta u=0$  and
    $\nabla \delta u $ is parallel to $\bfnu$: $\nabla \delta u =\lambda \bfnu $
    with arbitrary function $\phi$  (think why) and  the second term in the
    parenthesis is $0$ and the first term becomes
    $-\sum\_{i,j} u\_{x\_ix\_j}\nu\_i \nu\_j \phi$ and we arrive to the missing
    condition
    \begin{equation}
    \sum\_{i,j} u\_{x\_ix\_j}\nu\_i \nu\_j \bigr|\_{\Sigma'}=0.
    \label{eq-10.2.36}
    \end{equation}
c. Let us have no constrains on $\Sigma'$. Then we can recover this condition
    (\ref{eq-10.2.36}) but we need one more. Let us assume for simplicity that
    $\Sigma'$ is flat; then without any loss of the generality $\Sigma'$
    locally coincides with $\\{x\_n=0\\}$, $\bfnu=(0,\ldots,0,1)$ and condition
    (\ref{eq-10.2.36}) means that $u\_{x\_nx\_n}=0$ on $\Sigma'$; further, one
    can prove easily that then
    $\delta \Phi =
    \iint_{\Sigma'}\frac{\partial \Delta u}{\partial \bfnu}\delta u\,d\sigma$
    with arbitrary $\delta u$ and it implies the second condition
    \begin{equation}
    \frac{\partial \Delta u}{\partial \bfnu}\bigr|\_{\Sigma'}=0.
    \label{eq-10.2.37}
    \end{equation}
<!--\end{example}-->

---------------

[$\Leftarrow$](./S10.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S10.A.html)


