<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Chapter 10</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$
$\newcommand{\bfnu}{\boldsymbol{\nu}}$

###[Problems to Chapter 10](id:sect-10.P)

> 1. [Problem 1](#problem-6.P.1)
> 2. [Problem 2](#problem-6.P.2)
> 3. [Problem 3](#problem-6.P.3)
> 4. [Problem 4](#problem-6.P.4)
> 5. [Problem 5](#problem-6.P.5)

##[Problems](id:sect-10.P)

There are several classical problems

**[Problem 1.](id:problem-10.A.1)**
The heavy flexible but unstretchable wire (chain) has a length and an energy respectively
\begin{gather}
L= \int\_0^a  \sqrt{1+u^{\prime\,2}}\,dx,
\label{eq-10.P.1}\\\\
U=\rho g \int\_0^a u \sqrt{1+u^{\prime\,2}}\,dx
\label{eq-10.P.2}
\end{gather}
where $\rho$ is a linear density.

a. Write down an equation minimizing energy $U$ as length $L$ is fixed.
b. Find solution  satisfying $u(0)=h\_0$, $u(a)=h\_1$.
<!--\end{problem}-->

**[Problem 2.](id:problem-10.A.2)**
We need to construct the fastest slide from point $(0,0)$ to (a,-h)$. If $u(x)$ describes its shape then time is
\begin{equation}
T= \int\_0^a  \frac{1}{\sqrt{2gu}} \sqrt{1+u^{\prime\,2}}\,dx.
\label{eq-10.P.3}
\end{equation}

a. Write down an equation minimizing energy $U$ as length $L$ is fixed.
b. Find solution  satisfying $u(0)=0$, $u(a)=-h$.
<!--\end{problem}-->




---------------

[$\Leftarrow$](./S10.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S10.P.html)


