<link href="../markdown.css" rel="stylesheet"></link>

<title>11.2. Distributions: more</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\supp}{\operatorname{supp}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$



##[11.2. Distributions: more](id:sect-11.2)
____________________________

> 1.  [Supports and some remarks](#sect-11.2.1)
> 2.  [Non-linear change of variables](#sect-11.2.2)
> 3.  [Fourier transform](#sect-11.2.3)
> 4.  [Convolution](#sect-11.2.4)
> 5.  [Fourier series](#sect-11.2.5)


###[Supports](id:sect-11.2.1)

**[Definition 1.](id:definition-11.2.1)**
Let us consider ordinary function $f$. Observe that if $f=0$ on open sets $\Omega\_\iota$ (where $\iota $ runs any set of indices––finite, infinite or even non-enumerable) then $f=0$ on $\bigcup\_\iota \Omega\_\iota$. Therefore there exists a largest open set $\Omega$ such that $f=0$ on $\Omega$. Complement to this set is called *support of $f$* and denoted as $\supp(f)$.
<!--\end{definition}-->

**[Definition 2.](id:definition-11.2.2)**

a. Let us consider distribution $f$. We say that $f=0$ on open set $Omega$ if $f(\varphi)=0$ for any test function $\varphi$ such that $\supp \varphi \subset \Omega$.
b. Then the same observation as in (a) holds and therefore there exists a largest open set $\Omega$ such that $f=0$ on $\Omega$. Complement to this set is called *support of $f$* and denoted as $\supp(f)$.
<!--\end{definition}-->

**[Definition 3.](id:definition-11.2.3)**
Observe that $\supp(f)$ is always a closed set. If it is also bounded we say that $f$ has a compact support.
<!--\end{definition}-->

**[Exercise 1.](id:exercise-11.2.1)**

a. Prove that for two functions $f,g$ and for $f\in \mathcal{D}'$, $g\in \mathcal{E}$
\begin{gather}
\supp (gf)\subset \supp(f) \cap \supp(g),\label{eq-11.2.1}\\\\
\supp (\partial f)\subset \supp(f)\label{eq-11.2.2}
\end{gather}
where $\partial$ is a differentiation;
b. Prove that $\supp(f)=\emptyset$ iff $f=0$ identiacally;
c. Prove that $\supp(\delta\_a)=\\{a\\}$. Prove that the same is true for any of its derivatives.
<!---\end{exercise}-->

**[Remark 1.](id:remark-11.2.1)**
In fact, the converse to [Exercise 1(c)](#exercise-11.2.1) is also true: if $\supp(f)=\{a\}$ then $f$ is a linear combination of $\delta (x-a)$ and its derivatives (up to some order).
<!--\end{remark}-->

**[Remark 2.](id:remark-11.2.2)**
In the previous section we introduced spaces of test functions $\mathcal{D}$ and $\mathcal{E}$ and the corresponding spaces of distributions $\mathcal{D}'$ and $\mathcal{E}'$. However for domain $\Omega\subset \mathbb{R}^d$ one can introduce $\mathcal{D}(\Omega):= \\{ \varphi \in \mathcal{D}:\, \supp \varphi \subset \Omega\\}$ and $\mathcal{E}=C^\infty (\Omega)$. Therefore one can introduce corresponding spaces of distributions $\mathcal{D}'(\Omega)$ and $\mathcal{E}'(\Omega)=\\{ f\in \mathcal{E}:\, \supp f\subset \Omega\\}$. As $\Omega=\mathbb{R}^d$ we get our "old spaces".
<!--\end{remark}-->

###[Non-linear change of variables](id:sect-11.2.2)

**[Definition 4.](id:definition-11.2.4)**
Let $f$ be a distribution with $\supp f\subset \Omega\_1$ and let
$\Phi:\Omega\_1\to \Omega\_2 $ be one-to-one correspondence, infinitely smooth and with non-vanishing Jacobian $\det \Phi'$. Then $\Phi\_\* f$ is a distribution:
\begin{equation}
(\Phi\_\* f)(\varphi) = f( |\det \Phi'|  \cdot \Phi^\*\varphi )
\label{eq-11.2.3}
\end{equation}
where $(\Phi^\*\varphi)(x)=\varphi(\Phi(x))$.
<!--\end{definition}-->

**[Remark 3.](id:remark-11.2.3)**

a. This definition generalizes
[Definition 11.1.6](./S11.1.html#definition-11.1.6) and
[Definition 11.1.7](./S11.1.html#definition-11.1.7).
b. Mathematicians call $\Phi^\*\varphi$ *pullback of $\varphi$* and  $\Phi\_\*f$ *pushforward* of $f$.
<!--\end{remark}-->

**[Exercise 2.](id:exercise-11.2.2)**
Check that for ordinary function $f$ we get $(\Phi\_\*f)(x)=f (\Phi^{-1}(x))$.
<!---\end{exercise}-->

###[Fourier transform](id:sect-11.2.3)

**[Definition 5.](id:definition-11.2.5)**
Let $f\in \mathcal{S}'$. Then Fourier transform $\hat{f}\in \mathcal{S}'$ is defined as
\begin{equation}
\hat{f}(\varphi) = f(\hat{\varphi})
\label{eq-11.2.4}
\end{equation}
for $\varphi \in \mathcal{S}$. Similarly, inverse Fourier transform $\check{f}\in \mathcal{S}'$ is defined as
\begin{equation}
\check{f}(\varphi) = f(\check{\varphi})
\label{eq-11.2.5}
\end{equation}
<!--\end{definition}-->

**[Exercise 3.](id:exercise-11.2.3)**

a. Check that for ordinary function $f$ we get a standard definition of $\hat{f}$ and $\check{f}$.
b. To justify  [Definition 5](#definition-11.2.5) one need to prove that
$f\in \mathcal{S}\iff \hat{f}\in  \mathcal{S}$. Do it!
c. Prove that for $f\in \mathcal{E}'$ both $\hat{f}$ and $\check{f}$ are ordinary smooth functions
\begin{gather}
\hat{f}(k) = (2\pi)^{-d} f(e^{-ix\cdot k}), \label{eq-11.2.6}\\\\
\check{f}(k) =  f(e^{ix\cdot k}).\label{eq-11.2.7}
\end{gather}
d. Check that all properties of Fourier transform (excluding with norms and inner products which may not exist are preserved.
<!---\end{exercise}-->


**[Exercise 4.](id:exercise-11.2.4)**

a. Prove that Fourier transforms of $\delta (x-a)$ is
$(2\pi)^{-d}e^{-ix\cdot a}$.
b.  Prove that Fourier transforms of $e^{ix\cdot a}$ is $\delta (x-a)$.
<!---\end{exercise}-->

**[Exercise 5.](id:exercise-11.2.5)**
In dimension $1$

a.  Prove that Fourier transforms of $\theta(x-a)$ and $\theta(-x+a)$ are respectively $(2\pi i)^{-1} (k-a-i0)^{-1}$ and $-(2\pi i)^{-1} (k-a+i0)^{-1}$ which are understood as limits in the sense of distributions of
$(2\pi i)^{-1}(k-a\mp i\varepsilon)^{-1}$ as $\varepsilon\to+0$. Recall that $\theta(x)$ is a Heaviside function.
b. As a corollary conclude that Fourier transform of $\operatorname{sgn}(x):=\theta(x)-\theta(-x)=x/|x|$ is
$(2\pi i)^{-1} \bigl((k-a-i0)^{-1}+ (k-a+i0)\bigr)^{-1}= \pi^{-1}(k-a)^{-1}$ with the latter understood in as principal value (see [Exercise 11.1.4(f)](./S11.4.html#exercise-11.1.4)).
c. As another corollary conclude that Fourier transform of  $\theta(x)+\theta(-x)=1$ is
$(2\pi i)^{-1} \bigl((k-a-i0)^{-1}- (k-a+i0)\bigr)^{-1}$ and therefore
\begin{equation}
(2\pi i)^{-1} \bigl((k-a-i0)^{-1}- (k-a+i0)\bigr)^{-1}=\delta(x-a).
\label{eq-11.2.8}
\end{equation}
 <!---\end{exercise}-->

###[Convolution](id:sect-11.2.4)

Recall convolution (see
[Definition 5.2.1](../Chapter5/S5.2.html#definition-5.2.1)) and its connection to Fourier transform.

**[Definition 6.](id:definition-11.2.6)**
Let $f,g\in \mathcal{D}'$ (or other way around), $\varphi\in \mathcal{D}$ Then we can introduce  $h(y) \in \mathcal{E}$ as
\begin{equation\*}
h(y) = g ( T\_y\varphi ),\qquad T\_y \varphi(x):= \varphi (x-y).
\end{equation*}
Observe that $h \in \mathcal{D}$ provided $g\in \mathcal{E}'$. In this case we can introduce $h \in \mathcal{E}$ for $\varphi \in \mathcal{E}$.

Therefore if either $f\in \mathcal{E}'$ or  $g\in \mathcal{E}'$ we  introduce  $f\*g$ as
\begin{equation\*}
(f\*g)(\varphi) = f ( h ).
\end{equation*}
<!--\end{definition}-->

**[Exercise 6.](id:exercise-11.2.6)**

a. Check that for ordinary function $f$ we get a standard definition of the convolution;
b. Prove that convolution convolution has the same properties as  multiplication;
c. Prove that [Theorem 5.2.4](../Chapter5/S5.2.html#thm-5.2.4) holds;
d. Prove that $f\*\delta=\delta\*f=f$;
e. Prove that $\partial (f\*g)=(\partial f)\*g = f\*(\partial g)$;
f. Prove that  $T\_a (f\*g)=(T\_a f)\*g = f\*(T\_a g)$
for operator of shift $T\_a$;
g. Prove that $\supp (f\*g) \subset \supp(f)+\supp(g)$ where *arithmetic sum* of two sets is defined as $A+B:=\\{x+y:\, x\in A,\, y\in B\\}$.
<!---\end{exercise}-->

**[Remark 4.](id:remark-11.2.4)**

a. One can prove that if a linear map $L:\mathcal{E}'\to \mathcal{D}'$ commutes with all shifts: $T\_a (L f )=L(T\_a f)$ for all $f\in \mathcal{E}'$ then there exists $g\in \mathcal{D}'$ such that $L$ is an operator of convolution: $Lf= g\*f$;
b. One can extend convolution if none of $f,g$ has a compact support but some other assumption is fulfilled. For example, in one–dimensional case we can assume that either $\supp(f)\subset [a,\infty)$,  $\supp(g)\subset [a,\infty)$ or that $\supp(f)\subset (-\infty,a]$,  $\supp(g)\subset (-\infty,a]$.

Similarly in multidimensional case we can assume that  $\supp(f)\subset C$,  $\supp(g)\subset C$ where $C$ is a  cone with angle $<\pi $ at its vertex $a$.
<!---\end{remark}-->



###[Fourier series](id:sect-11.2.5)

**[Definition 7.](id:definition-11.2.7)**

a. We call one-dimensional distribution $f$ *periodic with period $L$* if $f(x-L)=f(x)$.
b. More generally, let  $\Gamma$ be a lattice of periods (see
[Definition 4.B.1](../Chapter4/S4.B.html#definition-4.B.1)). We call distribution $f$ *$\Gamma$-periodic* if $f(x-n)=f(x)$ for all $n\in \Gamma$.
<!--\end{definition}-->

Periodic distributions could be decomposed into Fourier series: in one-dimensional case we have
\begin{equation}
f= \sum\_{-\infty< m<\infty} c\_n e^{\frac{2\pi imx}{L} }
\label{eq-11.2.9}
\end{equation}
and in multidimensional case
\begin{equation}
f= \sum\_{ m\in \Gamma^\*} c\_m e^{im\cdot }
\label{eq-11.2.10}
\end{equation}
where $\Gamma^\*$ is a dual lattice (see
[Definition 4.B.3](../Chapter4/S4.B.html#definition-4.B.3)).

To define coefficients $c\_m$ we cannot use ordinary formulae since integral over period (or elementary cell, again see the same definition) is not defined properly. Instead we claim that there exists $\varphi\in \mathcal{D}$ such that
\begin{equation}
\sum\_{n\in \Gamma} \varphi(x-n) =1.
\label{eq-11.2.11}
\end{equation}
Indeed, let $\psi \in \mathcal{D}$ be non-negative and equal $1$ in some elementary cell. Then
$\varphi (x)= \psi (x)/ \bigl(\sum\_{n\in \Gamma} \psi(x-n)\bigr)$ is an appropriate function.

Then
\begin{equation}
c\_m= |\Omega|^{-1} (\varphi f)( e^{-im\cdot x}
\label{eq-11.2.12}
\end{equation}
where $|\Omega|$ is a volume of the elementary cell.

**[Exercise 7.](id:exercise-11.2.7)**

a. Find decomposition in Fourier series of one-dimensional distribution $f=\sum\_{-\infty< n<\infty} \delta (x-n L)$;
b. Find Fourier transform of $f$ defined in (a);
c. Find the connection to Poisson summation formula (see [Theorem 5.2.5](../Chapter5/S5.2.html#thm-5.2.5)).
d. Find decomposition in Fourier series of $d$-dimensional distribution $f=\sum\_{n\in \Gamma } \delta (x-n)$;
e. Find Fourier transform of $f$ defined in (d);
f. Find the connection to  multidimensional Poisson summation formula (see [Remark 5.2A.3](../Chapter5/S5.2.A.html#remark-5.2A.3)).
<!---\end{exercise}-->




---------------

[$\Leftarrow$](./S11.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S11.3.html)


