<link href="../markdown.css" rel="stylesheet"></link>

<title>12.1. Burgers equation</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\supp}{\operatorname{supp}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

#[Chapter 12. Nonlinear equations](id:chapter-12)

##[12.1. Burgers equation](id:sect-12.1)
____________________________

> 1.  [Two problems](#sect-12.1.1)
> 2.  [Shock waves](#sect-12.1.2)
> 3.  [Examples](#sect-12.1.2)

###[Two problems](id:sect-12.1.1)

Consider equation
\begin{equation}
u\_t + f(u)u\_x =0,\qquad t >0
\label{eq-12.1.1}
\end{equation}
Then we consider a problem
\begin{equation}
u(x,0)= \left\\{\begin{aligned}
u\_-& &&x <0,\\\\
u\_+& &&x >0
\end{aligned}\right.
\label{eq-12.1.2}
\end{equation}
There are two cases:

**[Case 1.](id:case-12.1.1)**
$f(u\_-) < f(u\_+)$. In this case characteristics
\begin{equation}
\frac{dt}{1}=\frac{dx}{f(u)}=\frac{du}{0}
\label{eq-12.1.3}
\end{equation}
originated at  $\\{(x,0):\, 0< x<\infty\\}$ fill $\\{x< f(u\_-)t,\, t>0\\}$ where $u=u\_-$ and $\\{x > f(u\_+)t,\, t>0\\}$ where $u=u\_+$ and leave sector
$\\{ f(u\_-)t < x< f(u\_+)t\, t>0\\}$ empty. In this sector we can construct continuous self-similar solution $u= g(x/t)$ and this construction is unique provided $f$ is monotone function (say increasing)
\begin{equation}
f'(u)>0
\label{eq-12.1.4}
\end{equation}
(and then $f(u\_-) < f(u\_+)$ is equivalent to $u\_< u\_+$). Namely
\begin{equation}
u(x,t)= \left\\{\begin{aligned}
u\_-& &&x < f(u\_-)t,\\\\
g\left(\frac{x}{t}\right)& &&f(u\_-)t < x < f(u\_+)t,\\\\
u\_+& &&x >f(u\_+)t
\end{aligned}\right.
\label{eq-12.1.5}
\end{equation}
provides solution for (\ref{eq-12.1.1})-(\ref{eq-12.1.2}) where $g$ is an inverse function to $f$.

->![image](./F12.1-1a.svg) &nbsp;&nbsp;&nbsp;&nbsp; ![image](./F12.1-1b.svg)
 &nbsp;&nbsp;&nbsp;&nbsp;
![image](./F12.1-1c.svg)<-

->For $f(u)=u$ as $u\_- < u\_+$ characteristics  and solution consecutive  profiles (slightly shifted up)<-

**[Case 2.](id:case-12.1.2)**
$f(u\_-) > f(u\_+)$. In this case characteristics collide

->![image](./F12.1-2a.svg)<-

->For $f(u)=u$ as $u\_- > u\_+$ characteristics<-

and to provide solution we need to reformulate our equation (\ref{eq-12.1.1}) as
\begin{equation}
u\_t + (F(u))\_x =0,\qquad t >0
\label{eq-12.1.6}
\end{equation}
where $F(u)$ is a primitive of $f$: $F'(u)=f(u)$. Now we can understand equation in a weak sense and allow discontinuous (albeit bounded) solutions. So, let us look for
\begin{equation}
u=\left\\{\begin{aligned}
u\_-& &&x < st,\\\\
u\_+& &&x >st
\end{aligned}\right.
\label{eq-12.1.7}
\end{equation}
where so far $s$ is unknown. Then $u\_t= -s[u\_+-u\_-]\delta (x-st)$,
$u\_x= [F(u\_+)-F(u\_-)]\delta (x-st)$ where brackets contain jumps of $u$ and $F(u)$ respectively and (\ref{eq-12.1.6}) means exactly that
\begin{equation}
s= \frac{[F(u\_+)-F(u\_-)]}{u\_+-u\_-}$
\label{eq-12.1.8}
\end{equation}
which is equal to $F'(v)=f(v)$ at some $v\in (u\_-, u\_+)$ and due to (\ref{eq-12.1.4}) $s\in (f(u\_-), f(u\_+))$:

->![image](./F12.1-3.svg)<-

->For $f(u)=u$ as $u\_- < u\_+$ characteristics and a line of jump (profiles are just shifted steps)<-

###[Shock waves](id:sect-12.1.2)

**Huston, we have a problem**
However allowing discontinuous solutions to (\ref{eq-12.1.6}) we opened a floodgate to many discontinuous solution and broke unicity. Indeed, let us return to [Case 1](#case-12.1.1) and construct solution in the same manner as in
[Case 2](#case-12.1.2). Then we get (\ref{eq-12.1.8})--(\ref{eq-12.1.7}) solution with $s=F'(v)$ at some $v\in (u\_+, u\_-)$ and due to (\ref{eq-12.1.4}) $s\in (f(u\_+), f(u\_-))$:

->![image](./F12.1-4.svg)<-

So, we got two solutions: new discontinuous and old continuous (\ref{eq-12.1.5}). In fact, situation is much worse since there are many hybrid solutions in the form  (\ref{eq-12.1.8}) albeit with discontinuous $g$. To provide a uniqueness we need to weed out all such solutions.

**[Remark 1.](id:remark-12.1.1)**
Equation (\ref{eq-12.1.6}) is considered to be a *toy-model* for gas dynamics. Discontinuous solutions are interpreted as *shock waves* and solution in [Case 1](#case-12.1.1) are considered *rarefaction waves*. Because of this was formulated principle *there are no shock rarefaction waves* which mathematically means $u(x-0,t)\ge u(x+0,t)$ where $u(x\pm 0,t)$ are limits from the right and left respectively.
<!--\end{remark}-->


However it is not a good condition in the long run: for more general solutions these limits may not exist. To do it we multiply equation (\ref{eq-12.1.1}) by $u$ and write this new equation
\begin{equation}
uu\_t + f(u)uu\_x =0,\qquad t >0
\label{eq-12.1.9}
\end{equation}
in the divergent form
\begin{equation}
(\frac{1}{2}u^2)\_t + (\Phi (u))\_x =0,\qquad t >0
\label{eq-12.1.10}
\end{equation}
where $\Phi(u)$ is a primitive of $uf(u)$.

**[Remark 2.](id:remark-12.1.2)**
Let us observe that while equations (\ref{eq-12.1.1}) and (\ref{eq-12.1.9}) are equivalent for continuous solutions, equations (\ref{eq-12.1.6}) and (\ref{eq-12.1.10}) are not equivalent for discontinuous ones. Indeed, for solution (\ref{eq-12.1.7}) the left-hand expression in (\ref{eq-12.1.10}) is
\begin{equation}
K \delta (x-st)
\label{eq-12.1.11}
\end{equation}
with
\begin{multline}
K(u\_-,u\_+) = -s\frac{1}{2}[u\_+^2-u\_-^2] + [\Phi(u\_+)-\Phi(u\_-)] =\\\\
-\frac{1}{2}(u\_+ + u\_-)[F(u\_+)-F(u\_-)] + [\Phi(u\_+)-\Phi(u\_-)]\qquad
\label{eq-12.1.12}
\end{multline}
<!--\end{remark}-->

**[Exercise 1.](id:exercise-12.1.1)**
Prove that $K(u\_-,u\_+)\gtrless 0$ as $u\_+ \gtrless u\_-$. To do it consider
$K(u-v,u+v)$, observe that it is $0$ as $v=0$ and $\partial\_v K(u-v,u+v)=
v (f(u+v)-f(u-v))>0$ for $v\ne 0$ due to (\ref{eq-12.1.4}).
<!--\end{exercise}-->

So for "good" solutions
\begin{equation}
(\frac{1}{2}u^2)\_t + (\Phi (u))\_x \ge 0,\qquad t >0
\label{eq-12.1.13}
\end{equation}
where we use the following

**[Definition 1.](id:definition-12.1.1)**
Distribution $U\ge 0$ if for all non-negative test functions $\varphi$
$U(\varphi)\ge 0$.
<!--\end{definition}-->

It was proven

**[Theorem 1.](id:thm-12.1.1)**
Solution to the problem (\ref{eq-12.1.6}), (\ref{eq-12.1.2}) with additional restriction (\ref{eq-12.1.13}) exists and is unique as $\phi$ is *[bounded total variation  function](http://en.wikipedia.org/wiki/Bounded_variation)*.
<!--\end{theorem}-->

**[Remark 3.](id:remark-12.1.3)**
Restriction (\ref{eq-12.1.13}) is interpreted as *entropy cannot decrease.*
<!--\end{remark}-->

###[Examples](id:sect-12.1.3)

**[Example 1.](id:example-12.1.1)**
The truly interesting example is Burgers equation ($f(u)=u$) with initial conditions which are not monotone. So we take
\begin{equation}
u(x,0)=\phi(x):=\left\\{\begin{aligned}
1& &&x<-1,\\\\
-1& &&&-1< x< 0,\\\\
1& &&x > 1.
\end{aligned}\right.
\label{eq-12.1.14}
\end{equation}
Then obviously the solution is first provided by a combination of
[Case 1](#case-12.1.1) and [Case 2](#case-12.1.2):
\begin{equation}
u(x,t)=\left\\{\begin{aligned}
1& &&x<-1,\\\\
-1& &&&-1< x< -t,\\\\
\frac{x}{t}& &&& -t< x <t,\\\\
1& && x > t.
\end{aligned}\right.
\label{eq-12.1.15}
\end{equation}
This holds as $0< t<1$ because at $t>1$ rarefaction and shock waves collide.

->![image](./F12.1-5a.svg)<-

Now there will be a shock wave at $x=\xi (t)$, $t>1$. On its left $u=1$, on its right $u=\xi t^{-1}$ and therefore slope is a half-sum of those:
\begin{equation}
\frac{d\xi}{dt}=\frac{1}{2} + \frac{\xi}{2t};
\label{eq-12.1.16}
\end{equation}
this ODE should be solved with initial condition $\xi(1)=-1$ and we have $\xi(t)=t-2t^{\frac{1}{2}}$;

->![image](./F12.1-5b.svg)<-

Observe that while $\max\_{-\infty < x < \infty} u(x,t)=1$,
$\min \_{-\infty < x < \infty} u(x,t)=\xi(t)t^{-1}=1-2t^{-\frac{1}{2}}$ and
\begin{equation\*}
\bigl(\max\_{-\infty < x < \infty} u(x,t)- \min\_{-\infty < x < \infty} u(x,t)\bigr)\to 0\qquad \text{as } t\to +\infty.
\end{equation\*}

We can consider example with $u(x,0)=-\phi(x,0)$ by changing $x\mapsto -x$ and $u\mapsto -u$.
<!--\end{example}-->


**[Example 2.](id:example-12.1.2)**
Consider now
\begin{equation}
u(x,0)=\phi(x):=\left\\{\begin{aligned}
2& &&x<-1,\\\\
0& &&&-1< x< 1,\\\\
-2& &&x > 1.
\end{aligned}\right.
\label{eq-12.1.17}
\end{equation}
Then for $0< t< 1$, we have two shock waves:
\begin{equation}
u(x,t)=\left\\{\begin{aligned}
u\_-& &&x<-1+t,\\\\
u\_0& &&&-1+ t< x < 1- t,\\\\
u\_+& &&x > 1-t
\end{aligned}\right.
\label{eq-12.1.18}
\end{equation}
and for $t=1$ both shock waves collide at $x=0$ and then for $t>1$
\begin{equation}
u(x,t)=\left\\{\begin{aligned}
2&  &&x<0,\\\\
-2& &&x > 0.
\end{aligned}\right.
\label{eq-12.1.19}
\end{equation}

->![image](./F12.1-6.svg)<-
<!--\end{example}-->



---------------

[$\Leftarrow$](../Chapter11/S11.4.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S12.2.html)


