<link href="../markdown.css" rel="stylesheet"></link>

<title>13.2. Asymptotic distribution of eigenvalues</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\supp}{\operatorname{supp}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\mes}{\operatorname{mes}}$


##[13.2. Asymptotic distribution of eigenvalues](id:sect-13.2)
____________________________


> 1.  [Introduction](#sect-13.2.1)
> 2.  [Rectangular box](#sect-13.2.2)
> 3.  [Weyl formula](#sect-13.2.3)
> 4.  [Remarks](#sect-13.2.4)

###[Introduction](id:sect-13.2.1)

We are interested how eignevalues are distributed. We introduce eigenvalue distribution function $N(\lambda)$ which is the number of eigenvalues (of operator $-\Delta$) which are less than $\lambda$. In other words,
\begin{equation}
N(\lambda)=\max \_{\lambda\_n< b} n
\label{eq-13.2.1}
\end{equation}
where $\lambda_n$ are eigenvalues, or, using [Corollary 13.1.1](./S13.1.html#corollary-13.1.1) we reformulate it as

**[Definition 1.](id:definition-13.2.1)**
Eignevalue distribution function is
\begin{equation}
N(\lambda)=\max\_{L\subset \mathsf{H}:\ Q(v)<\lambda \\|v\\|^2\ \forall 0\ne v\in L }\  \dim L
\label{eq-13.2.2}
\end{equation}
<!--\end{definition}-->

**[Remark 1.](id:remark-13.2.1)**
While these two definitions coincide in our particular case there is a huge difference: formula (\ref{eq-13.2.1}) counts only eigenvalues. However formula (\ref{eq-13.2.2}) takes into account also a *continuous spectrum*: this way defined $N(\lambda)$ is $+\infty$ if $(-\infty,\lambda)$ contains (some) points of continuous spectrum. This definition is one widely used.
<!--\end{remark}-->

In the same way as [Theorem 13.1.5](./S13.1.html#thm-13.1.5) and [Theorem 13.1.6](./S13.1.html#thm-13.1.6) one can prove

**[Theorem 1.](id:thm-13.2.1)**

a.  $N(\lambda;\alpha)$ does not increase as $\alpha$ increases;
b.  $N(\lambda;\Sigma^-)$ does not increase as $\Sigma^-$ increases;
c.  As $\alpha\to +\infty$ \ $N(\lambda;\alpha)\to N\_D(\lambda)$ which is an eigenvalue counting function for Dirichlet problem (i.e. when $\Sigma^-=\Sigma$).
d. $N\_D(\lambda;\Omega)$ does not decrease as $\Omega$ increases.
<!--\end{theorem}-->



###[Rectangular box](id:sect-13.2.2)

Consider rectangular box in $\mathbb{R}^d$: $\Omega =\\{x:\, 0< x\_1< a\_1, 0< x\_2< a\_2, \ldots, 0< x\_d< a\_d\\}$ with Dirichlet or Neumann boundary conditions. Then separation of variables brings us eigenfunctions and eigenvalues
\begin{align}
&X\_m=\sin \Bigl(\frac{\pi m\_1x\_1}{a\_1}\Bigr)
\sin \Bigl(\frac{\pi m\_2x\_2}{a\_2}\Bigr) \cdots \sin \Bigl(\frac{\pi m\_dx\_d}{a\_d}\Bigr),\label{eq-13.2.3}\\\\
&\lambda\_m=
\pi^2\Bigl(\frac{m\_1^2}{a\_1^2}+\frac{m\_2^2}{a\_2^2}+\ldots +\frac{m\_d^2}{a\_d^2}\Bigr) \qquad m\_1\ge 1, \ldots, m\_d\ge 1 \label{eq-13.2.4}
\end{align}
for Dirichlet problem and
\begin{align}
&X\_m=\cos \Bigl(\frac{\pi m\_1x\_1}{a\_1}\Bigr)
\cos \Bigl(\frac{\pi m\_2x\_2}{a\_2}\Bigr)\cdots
\cos \Bigl(\frac{\pi m\_dx\_d}{a\_d}\Bigr),\label{eq-13.2.5}\\\\
&\lambda\_m=
\pi^2\Bigl(\frac{m\_1^2}{a\_1^2}+\frac{m\_2^2}{a\_2^2}+\ldots +\frac{m\_d^2}{a\_d^2}\Bigr)  \qquad m\_1\ge 0, \ldots, m\_d\ge 0 \label{eq-13.2.6}
\end{align}
for Neumann problem where $m=(m\_1,\ldots,m\_d)\in \mathbb{Z}^d$ in both cases.

**[Exercise 1.](id:exercise-13.2.1)**
Prove it by separation of variables.
<!--\end{exercise}-->


Therefore

**[Theorem 2.](id:thm-13.2.2)**
For rectangular box
$\Omega =\\{x:\, 0< x\_1< a\_1, 0< x\_2< a\_2, \ldots, 0< x\_d< a\_d\\}$

a. $N\_D(\lambda)$ equals to the number of integer points (points with all integer coordinates) in the domain
\begin{multline\*}
E\_-(\lambda)=\Bigl\\{m=(m\_1,\ldots,m\_d):\, m\_1>0, m\_2>0,\ldots , m\_d>0,\\\\
\frac{m\_1^2}{a\_1^2}+\frac{m\_2^2}{a\_2^2}+\ldots +\frac{m\_d^2}{a\_d^2}<\pi^{-2}\lambda\Bigr\\};
\end{multline\*}
a. $N\_N(\lambda)$ equals to the number of integer points (points with all integer coordinates) in the domain
\begin{multline\*}
E\_+(\lambda)=\Bigl\\{m=(m\_1,\ldots,m\_d):\,m\_1\ge 0, m\_2>0,\ldots, m\_d\ge 0,\\\\
\frac{m\_1^2}{a\_1^2}+\frac{m\_2^2}{a\_2^2}+\ldots +\frac{m\_d^2}{a\_d^2}<\pi^{-2}\lambda\Bigr\\}.
\end{multline\*}
<!--\end{theorem}-->

Calculation of the number of integer points in the "large" domains is an important problem of the *Number Theory*. For us the answer "the number of integer points inside of the large domain approximately equals to its volume" is completely sufficient but let us use the following

**[Theorem 3.](id:thm-13.2.3)**
As $d\ge 2$ the number of integer points inside ellipsoid
\begin{equation\*}
\mathcal{E}(\lambda)=\Bigl\\{m=(m\_1,\ldots,m\_d):\,
\frac{m\_1^2}{a\_1^2}+\frac{m\_2^2}{a\_2^2}+\ldots +\frac{m\_d^2}{a\_d^2}<\pi^{-2}\lambda\Bigr\\}
\end{equation\*}
equals to the volume of $\mathcal{E}(\lambda)$ plus $o(\lambda^{(d-1)/2})$.
<!--\end{theorem}-->

**[Remark 2.](id:remark-13.2.2)**
Actually much more precise results are known.
<!--\end{remark}-->

Observe that the volume of this ellipsoid $\mathcal{E}(\lambda)$ is
$\pi^{-d}\omega\_d a\_1a\_2\cdots a\_d\lambda^{d/2}$ where $\omega\_d$ is a volume of the unit ball in $\mathbb{R}^d$.

**[Exercise 2.](id:exercise-13.2.2)**
Prove it observing that ellipsoid $\mathcal{E}(\lambda)$ is obtained by stretching of the unit ball.
<!--\end{exercise}-->

Observe also that both $E\_+(\lambda)$ and $E\_-(\lambda)$ constitute $1/2^d$ part of $\mathcal{E}(\lambda)$ and therefore their volumes are
$(2\pi)^{-d}\omega\_da\_1\cdots a\_d \lambda^{d/2}$. However if we consider integer points we observe that

a. the number of integer points in $E\_-(\lambda)$ multiplied by $2^d$ equals to the number of integer points in $\mathcal{E}(\lambda)$ minus the number of integer points belonging to the intersection of $\mathcal{E}(\lambda)$  with one of the planes $\Pi\_j=\\{m=(m\_1,\ldots,m\_d):\, m\_j=0\\}$ while
b. the number of integer points in $E\_+(\lambda)$ multiplied by $2^d$ equals to the number of integer points in $\mathcal{E}(\lambda)$ plus the number of integer points belonging to the intersection of $\mathcal{E}(\lambda)$  with one of the planes $\Pi\_j=\\{m=(m\_1,\ldots,m\_d):\, m\_j=0\\}$.

Actually, it is not completely correct as one needs to take into account intersections of $\mathcal{E}(\lambda)$ with two different planes $\Pi\_j$ and $\Pi\_k$ but the number of integer points there is $O(\lambda^{(d-2)/2})$.

Since intersections of $\mathcal{E}(\lambda)$ with $\Pi\_j$ is an ellipsoid we conclude that the number of integer points there is $\pi^{1-d}\omega\_{d-1}a\_1a\_2 \cdots a\_d/a\_j\lambda^{(d-1)/2}$.

Therefore the number of integer points in $E\_\pm (\lambda)$ is equal to
\begin{multline\*}
(2\pi)^{-d}\omega\_d  a\_1a\_2\cdots a\_d \lambda^{d/2}\pm\\\\
\frac{1}{2}(2\pi)^{1-d}\omega_{d-1}
\underbracket{a\_1a\_2\cdots a\_d \bigl(a\_1^{-1}+a\_2^{-1}+\ldots a\_d^{-1}\bigr) } \lambda^{(d-1)/2} + o\bigl(\lambda^{(d-1)/2}\bigr).
\end{multline\*}
Observe that $a\_1a\_2\cdots a\_d$ is a volume of $\Omega$ and
$a\_1a\_2\cdots a\_d \bigl(a\_1^{-1}+a\_2^{-1}+\ldots a\_d^{-1}\bigr)$ is a half of area of its boundary $\partial\Omega$.

So we arrive to

**[Theorem 4.](id:thm-13.2.4)**
For rectangular box
$\Omega =\\{x:\, 0< x\_1< a\_1, 0< x\_2< a\_2, \ldots, 0< x\_d< a\_d\\}$,
$d\ge 2$
\begin{equation}
N(\lambda)=(2\pi)^{-d} \mes\_d(\Omega)\lambda^{d/2}+ O\bigl(\lambda^{(d-1)/2}\bigr)
\label{eq-13.2.7}
\end{equation}
and more precisely
\begin{equation}
N (\lambda)=(2\pi)^{-d} \mes\_d(\Omega)\lambda^{d/2} \pm
\frac{1}{4} (2\pi)^{1-d} \mes\_{d-1}(\partial\Omega)\lambda^{(d-1)/2} +o\bigl(\lambda^{(d-1)/2}\bigr)
\label{eq-13.2.8}
\end{equation}
where "$+$" corresponds to Neumann and "$-$" to Dirichlet boundary conditions and $\mes\_k$ means $k$-dimensional volume.
<!--\end{theorem}-->

**[Remark 3.](id:remark-13.2.3)**

a. Asymptotics (\ref{eq-13.2.7}) holds for $d=1$ as well;
b. Asymptotics (\ref{eq-13.2.7}) and (\ref{eq-13.2.8}) with the sign "$+$" hold for Robin boundary condition.
<!--\end{remark}-->

###[Weyl formula](id:sect-13.2.3)

Now we want to generalize these results for an arbitrary domain $\Omega$. To do so let us consider domain $\Omega^+\_\varepsilon$  which includes $\Omega$ and all points on the distance $\le C\varepsilon$ from $\partial \Omega$ and partition it into cubic boxes such that

a. The side of any box is at least $\varepsilon$;
b. If the box is not inside of $\Omega$ completely its side is exactly $\varepsilon$.

The boxes which are completely inside of $\Omega$ are called *inner boxes* and the boxes which intersect $\partial \Omega$ are called *boundary boxes*.

We consider now *only* Dirichlet conditions. Let us use [Definition 1](#definition-13.2.1) for $N(\lambda)$; for Dirichlet boundary conditions we can consider $\mathsf{H}$ as the space of all functions which vanish outside of $\Omega$.

Let us tighten constrains to these functions: we assume that they are $0$ in the boundary boxes as well and that they vanish on the walls of all boxes. Then $N(\lambda)$ can only decrease: $N(\lambda)\ge N\_\*((\lambda)$ where $N\_\*(\lambda)$ is an eigenvalue counting function under these new constrains. But under these constrains calculation in each box becomes independent and we arrive to
\begin{equation\*}
N\_\*(\lambda)= \Bigl[(2\pi)^{-d}\omega\_d \lambda^{d/2}- c \lambda^{(d-1)/2} \varepsilon^{-1}\Bigr] \sum\_\iota \mes\_d (B\_\iota)
\end{equation\*}
where we sum over all inner boxes. As $\varepsilon \ge c\_1 \lambda ^{-1/2}$ this expression is greater than $\Bigl[(2\pi)^{-d}\omega\_d \lambda^{d/2}- c \lambda^{(d-1)/2} \varepsilon^{-1}\Bigr] \mes\_d (\Omega^-\_\varepsilon) $ where $\Omega^-\_\varepsilon$ is the set of all points of $\Omega$ on the distance $> \varepsilon$ from $\partial\Omega$. Thus
\begin{equation}
N\_D(\lambda)\ge   \Bigl[(2\pi)^{-d}\omega\_d\lambda^{d/2}-
c\lambda^{(d-1)/2} \varepsilon^{-1}\Bigr]
\bigl(\mes\_d (\Omega) - \mes\_d (\Omega \setminus \Omega^-\_\varepsilon)\bigr).
\label{eq-13.2.9}
\end{equation}

Let us loosen  constrains to these functions: we assume that they are arbitrary in the boundary boxes as well and that they can be discontinuous  on the walls of all boxes (then $Q(u)$ is calculated as a sum of $Q\_\iota (u)$ all over boxes). Then $N(\lambda)$ can only increase: $N(\lambda)\le N^\*((\lambda)$ where $N^\*(\lambda)$ is an eigenvalue counting function under these new constrains. But under these constrains calculation in each box becomes independent and we arrive to
\begin{equation\*}
N\_\*(\lambda)= \Bigl[(2\pi)^{-d}\omega\_d \lambda^{d/2}+ c \lambda^{(d-1)/2} \varepsilon^{-1}\Bigr] \sum\_\iota \mes\_d (B\_\iota)
\end{equation\*}
where we sum over all inner and boundary boxes. Thus
\begin{equation}
N\_D(\lambda)\le  \Bigl[(2\pi)^{-d}\omega\_d \lambda^{d/2}+
c \lambda^{(d-1)/2} \varepsilon^{-1}\Bigr]
\bigl(\mes\_d(\Omega) + \mes\_d(\Omega ^+\_\varepsilon \setminus \Omega )\bigr).
\label{eq-13.2.10}
\end{equation}
But what is the gap between the right-hand expressions of (\ref{eq-13.2.9}) and (\ref{eq-13.2.10})? It does not exceed
\begin{equation\*}
C\lambda^{(d-1)/2}\mes\_d \varepsilon^{-1} (\Omega ^+\_\varepsilon ) +
C\lambda^{d/2} \mes\_d (\Sigma\_\varepsilon )
\end{equation\*}
where $\Sigma\_\varepsilon$ is the set of all points on the distance $\le C_0\varepsilon$ from $\Sigma=\partial \Omega$.

We definitely want $\mes\_d (\Sigma\_\varepsilon )\to 0$ as $\varepsilon\to +0$. According to *Real Analysis* we say that it means exactly that *$\Sigma$ is a set of measure $0$*.

Thus we arrive to

**[Theorem 5.](id:thm-13.2.5)**
If $\Omega$ is a bounded domain and $\partial \Omega$ is a set of measure $0$ then
\begin{equation}
N\_D(\lambda)=  (2\pi)^{-d}\omega\_d \lambda^{d/2}+ o\bigl(\lambda^{d/2}\bigr)
\label{eq-13.2.11}
\end{equation}
as $\lambda\to +\infty$.

In particular, it holds if $\Omega$ is a bounded domain and $\partial \Omega$ is smooth.
<!--\end{theorem}-->



###[Remarks](id:sect-13.2.4)

**[Remark 4.](id:remark-13.2.4)**

a. This [Theorem 5](#thm-13.2.5) (in a bit less general form) was proven by H.Weyl in 1911;
b. In fact we need neither of assumptions: even if $\partial \Omega$ is not a set of measure $0$ asymptotics (\ref{eq-13.2.11}) holds but in this case $\mes\_d (\Omega)$ means a Lebesgue measure of $\Omega$ (see *Real Analysis*).
c. Further, as $d\ge 3$ we can assume only that $\mes\_d (\Omega)<\infty$.
<!--\end{remark}-->

**[Remark 5.](id:remark-13.2.5)**

a. We can always make a more subtle partition into cubic boxes: we can assume additionally that the size of the inner box $B\_\iota$ is of the same magnitude as a distance from $B\_\iota$ to $\partial \Omega$; then we can get a remainder estimate
\begin{equation}
C\lambda^{(d-1)/2}
\iiint\_{\{x:\,\gamma(x) \ge c\lambda^{-1/2}\}} \gamma(x)^{-1}\,dx +
C\lambda ^{d/2} \mes\_d (\Sigma_{c\lambda^{-1/2}})
\label{eq-13.2.12}
\end{equation}
where $\gamma(x)$ is a distance from $x$ to $\Sigma=\partial\Omega$.
b. If $\Omega$ is a bounded set and $\partial\Omega$ is smooth then for Dirichlet and Robin boundary condition
\begin{equation}
N\_D(\lambda)=  (2\pi)^{-d}\omega\_d \lambda^{d/2}+ O\bigl(\lambda^{(d-1)/2} \ln \lambda \bigr).
\label{eq-13.2.13}
\end{equation}
c. Even if the boundary is highly irregular one can define Neumann Laplacian. However in this case even if domain is bounded it *can* have non-empty continuous spectrum an then $N\_N(\lambda)=\infty$ for $\lambda\ge C$.
<!--\end{remark}-->

**[Remark 6.](id:remark-13.2.6)**
Let $\Omega$ be bounded domain and $\partial \Omega$ be smooth.

a. Much more delicate proof based on completely different ideas shows that  for Dirichlet and Robin boundary condition
\begin{equation}
N (\lambda)=  (2\pi)^{-d}\omega\_d \lambda^{d/2}+ O\bigl(\lambda^{(d-1)/2}  \bigr).
\label{eq-13.2.14}
\end{equation}
b. Even more delicate proof shows that under some *billiard condition*
asymptotics (\ref{eq-13.2.8}) holds with sign "$+$" for Robin boundary condition and "$-$" for Dirichlet boundary conditions.
c. This billialrd condition is believed to be fulfilled for any domain in $\mathbb{R}^d$. However it is not necessarily true on manifolds; for Laplacian on the sphere only (\ref{eq-13.2.14}) holds but (\ref{eq-13.2.14}) fails.
d. Actually, one can allow Dirichlet boundary condition on some part of the boundary ($\Sigma^-$) and Robin boundary condition on the remaining part of the boundary ($\Sigma^+=\Sigma\setminus\Sigma^-$) provided transition between those parts is regular enough. Then the formula becomes
 \begin{multline}
N (\lambda)=(2\pi)^{-d} \mes\_d(\Omega)\lambda^{d/2} +\\\\
\frac{1}{4} (2\pi)^{1-d} \bigl(\mes\_{d-1}(\Sigma^+)-\mes\_{d-1}(\Sigma^-)\bigr) \lambda^{(d-1)/2} +o\bigl(\lambda^{(d-1)/2}\bigr)\qquad
\label{eq-13.2.15}
\end{multline}
e. There are generalizations allowing some kinds or "regular singularities" of $\partial\Omega$.
 <!--\end{remark}-->

**[Remark 7.](id:remark-13.2.7)**
There are many generalizations of these asymptotics; let us mention only few. We consider Schrödinger operator
\begin{equation}
H=-\hbar^2\Delta + V(x).
\label{eq-13.2.16}
\end{equation}
Then Weyl formula for this operator is
\begin{equation}
N(\lambda,\hbar)\approx
(2\pi\hbar)^{-d}\omega\_d \iiint (\lambda-V(x))\_+^{d/2}\,dx
\label{eq-13.2.17}
\end{equation}
where $z\_+=\max(z,0)$. This formula is justified

a. As $\hbar\to +0$ and  $V(x)\ge \lambda +\epsilon $ as $|x|\ge C$;
b. As $\hbar$ is either fixed or tends to $+0$ and $\lambda\to +\infty$ provided $V(x)\to +\infty$ as $|x|\to \infty$;
c. As $\hbar$ is either fixed or tends to $+0$ and $\lambda\to -0$ provided $V(x)\to 0$ and $|x|^2(-V(x))\_+\to \infty$ as $|x|\to \infty$.

<!--\end{remark}-->


---------------

[$\Leftarrow$](./S13.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S13.3.html)


