<link href="../markdown.css" rel="stylesheet"></link>

<title>14.1. Field theory</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$

#[Chapter 14. Miscellaneous](id:chapter-14)

##[14.1. Field theory](id:sect-14.1)
__________
> 1. [Green, Gauss, Stokes formulae](#sect-14.1.1)
> 2. [Properties of $\nabla$](#sect-14.1.2)

###[Green, Gauss, Stokes formulae](id:sect-14.1.1)

Let $D$ be a bounded domain in $\mathbb{R}^2$ and $L=\partial D$ be its boundary. Then
\begin{equation}
-\int\_{L} \mathbf{A}\cdot  \mathbf{n} \,ds= \iint_D (\nabla \cdot \mathbf{A})\,dS
\label{eq-14.1.1}
\end{equation}
where the left-hand side expression is a linear integral, the right-hand side expression is an area integral and $\mathbf{n}$ is a unit inner normal to $L$. This is *Green formula*.

Let $V$ be a bounded domain in $\mathbb{R}^3$ and $\Sigma=\partial V$ be its boundary. Then
\begin{equation}
-\iint\_{\Sigma} \mathbf{A}\cdot  \mathbf{n} \,dS= \iiint_D (\nabla \cdot \mathbf{A})\,dV
\label{eq-14.1.2}
\end{equation}
where the left-hand side expression is a surface integral, the right-hand side expression is a volume integral and $\mathbf{n}$ is a unit inner normal to $\Sigma$. This is *Gauss formula*.

**[Remark 1.](id:remark-14.1.1)**

a. Gauss formula holds in any dimension.
b. Here sign "$-$"appears because $\mathbf{n}$ is a unit *inner* normal.
<!--\end{remark}-->


Let $D$ be a bounded domain in $\mathbb{R}^2$ and $L=\partial D$ be its boundary, counter–clockwise oriented (if $L$ has several components then inner components should be clockwise oriented). Then
\begin{equation}
\oint\_{L} \mathbf{A}\cdot \, d\, \mathbf{r}= \iint_D (\nabla \times \mathbf{A})\cdot\mathbf{n}\,dS
\label{eq-14.1.3}
\end{equation}
where the left-hand side expression is a line integral, the right-hand side expression is an area integral  and $\mathbf{n}=\mathbf{k}$. This is *Green formula* again.

Let $\Sigma$ be a bounded piece of the surface in $\mathbb{R}^3$ and $L=\partial \Sigma$ be its boundary. Then
\begin{equation}
\oint\_{L} \mathbf{A}\cdot \, d\, \mathbf{l}= \iint\_\Sigma (\nabla \times \mathbf{A})\cdot\mathbf{n}\,dS
\label{eq-14.1.4}
\end{equation}
where the left-hand side expression is a line integral, the right-hand side expression is a surface integral  and $\mathbf{n}$ is a unit normal to $\Sigma$; orientation of $L$ should match to direction of $\mathbf{n}$.
This is *Stokes formula*.

**[Remark 2.](id:remark-14.1.2)**

a. We can describe orientation in the Green formula as "the pair $\\{d\mathbf{r}, \mathbf{n}\\}$ has a right-hand orientation"
b. We can describe orientation in the Stokes formula as "the triple $\\{d\mathbf{r}, \boldsymbol{\nu}, \mathbf{n}\\}$ has a right-hand orientation" where $\boldsymbol{\nu}$ is a normal to $L$ which is tangent to $\Sigma$ and directed inside of $\Sigma$.
c. Stokes formula holds in any dimension of the surface $\Sigma$ but then it should be formulated in terms of differential forms \begin{equation} \int \_\Sigma d\omega = \int \_{\partial\Sigma}\omega\tag{Stokes formula}\end{equation} which is the material of Analysis II class (aka Calculus II Pro).
<!--\end{remark}-->

###[Properties of $\nabla$](id:sect-14.1.2)

####[Definitions](id:sect-14.1.2.1)

**[Definition 1.](id:def-14.1.1)**

a. Operator $\nabla$ is defined as
\begin{equation}
\nabla = \mathbf{i} \partial\_x + \mathbf{j} \partial\_y+ \mathbf{k} \partial\_z.
\label{eq-14.1.5}
\end{equation}
b. It could be applied to a scalar function resulting in its gradient ($\operatorname{grad}\phi$)
\begin{equation\*}
\nabla \phi = \mathbf{i} \partial\_x\phi  + \mathbf{j} \partial\_y\phi+ \mathbf{k} \partial\_z\phi
\end{equation\*}
c. and to vector function $\mathbf{A}=A\_x\mathbf{i}+A\_y\mathbf{j}+A\_z\mathbf{k}$ resulting in its divergence ($\operatorname{div}\mathbf{A}$)
\begin{equation\*}
\nabla \cdot \mathbf{A} =  \partial\_xA\_x  +  \partial\_y A\_y+  \partial\_zA\_z
\end{equation\*}
d. and also in its curl ($\operatorname{curl}\mathbf{A}$) or rotor ($\operatorname{rot}\mathbf{A}$), depending on the mathematical tradition:
\begin{equation\*}
\nabla \times \mathbf{A} =
\left| \begin{matrix} \mathbf{i} & \mathbf{j} &\mathbf{k} \\\\
\partial\_x & \partial\_y &  \partial\_z\\\\
A\_x & A\_y &A\_z\end{matrix}\right|
\end{equation\*}
which is equal to
\begin{equation\*}
(\partial\_y A\_z-\partial\_z A\_y)\mathbf{i}+
(\partial\_z A\_x-\partial\_x A\_z)\mathbf{j}+
(\partial\_x A\_y-\partial\_y A\_x)\mathbf{k}.
\end{equation\*}
<!--\end{definition}-->

####[Double application](id:sect-14.1.2.2)

**[Definition 2.](id:def-14.1.2)**
\begin{equation}
\Delta= \nabla^2 = \nabla\cdot \nabla=
\partial\_x^2 +  \partial\_y^2+  \partial\_z^2.
\label{eq-14.1.6}
\end{equation}
is *Laplace operator* or simply *Laplacian*.
<!--\end{definition}-->

Four formulae to remember:
\begin{gather}
\nabla (\nabla \phi)= \Delta \phi,\label{eq-14.1.7}\\\\[3pt]
\nabla \times (\nabla \phi)= 0,\label{eq-14.1.8}\\\\[3pt]
\nabla \cdot (\nabla \times \mathbf{A})= 0,\label{eq-14.1.9}\\\\[3pt]
\nabla \times (\nabla \times \mathbf{A})=
 -\Delta \mathbf{A} + \nabla (\nabla \cdot \mathbf{A}) \label{eq-14.1.10}
\end{gather}
where all but the last one are obvious and the last one follows from
\begin{equation}
\mathbf{a}\times (\mathbf{a} \times \mathbf{b})= -  \mathbf{a}^2  \mathbf{b}+  (\mathbf{a}\cdot  \mathbf{b}) \mathbf{a}
\label{eq-14.1.11}
\end{equation}
which is the special case of
\begin{equation}
\mathbf{a}\times (\mathbf{b} \times \mathbf{c})= \mathbf{b}(\mathbf{a}\cdot\mathbf{c})-
\mathbf{c}(\mathbf{a}\cdot\mathbf{b}).
\label{eq-14.1.12}
\end{equation}

####[Application to the product](id:sect-14.1.2.3)

Recall *Leibniz rule* how to apply the first derivative to the product which can be symbolically written as
\begin{equation\*}
\partial (uv)=
(\partial\_u + \partial\_v)(uv)= \partial\_u (uv)+\partial\_v (uv)=
v\partial\_u (u) +u\partial\_v (v)=v\partial u +u\partial v
\end{equation\*}
where subscripts "$u$" or "$v$" mean  that it should be applied to $u$ or $v$ only.

Since $\nabla$ is a linear combination of the first derivatives, it inherits the same rule. Three formulae are easy
\begin{gather}
\nabla ( \phi\psi)= \phi\nabla \psi +\psi \nabla \phi,\label{eq-14.1.13}\\\\[3pt]
\nabla \cdot ( \phi\mathbf{A})=
\phi\nabla \cdot \mathbf{A} +\nabla \phi\cdot \mathbf{A} , \label{eq-14.1.14}\\\\[3pt]
\nabla \times ( \phi\mathbf{A})=
\phi\nabla \times \mathbf{A} +\nabla \phi\times \mathbf{A} , \label{eq-14.1.15}\end{gather}
and the fourth follows from the Leibniz rule and (\ref{eq-14.1.12})
\begin{align}
\nabla \times ( \mathbf{A}\times \mathbf{B})= &(\mathbf{B}\cdot\nabla)A-\mathbf{B}(\nabla\cdot \mathbf{A})\notag\\\\ -
&(\mathbf{A}\cdot\nabla)B-\mathbf{A}(\nabla\cdot \mathbf{B}). \label{eq-14.1.16}
\end{align}






_________

[$\Leftarrow$](../S13.5.html)&nbsp;&nbsp;[$\Uparrow$](./contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S14.2.html)


