<link href="../markdown.css" rel="stylesheet"></link>

<title>14.2. Conservation laws</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$

##[14.2. Conservation laws](id:sect-14.2)
-----------------------
>1. [Theory](#sect-14.2.1)
>2. [Examples](#sect-14.2.2)


###[Theory](id:sect-14.2.1)
We start from example. Consider the liquid with density $\rho =\rho(\mathbf{x};t)$ and velocity $\mathbf{v}=\mathbf{v}(\mathbf{x};t)$, $\mathbf{x}=(x\_1,x\_2,x\_3)$. Consider a small  surface $dS$ with a normal $\mathbf{n}$ and let us calculate the quantity of the liquid passing through $dS$ in the direction $\mathbf{n}$ for time $dt$. It will be a volume swept by this surfaceshifted by $\mathbf{v}dt$ and it will be equal to $\mathbf{v} \cdot \mathbf{n} dS dt$. It is negative as $\mathbf{v}\cdot \mathbf{n}<0$ which means that the liquid passed in the opposite direction is counted with the sign "$-$". Then the mass will be $\rho \mathbf{v} \cdot \mathbf{n} dS dt$ and if we consider now  surface $\Sigma$ which is not small we get the flux through $\Sigma$ in the direction of $\mathbf{n}$
\begin{equation}
\iint_\Sigma \rho \mathbf{v} \cdot \mathbf{n}\, dS \times dt.
\label{eq-14.2.1}
\end{equation}

Consider now volume $V$ bounded by surface $\Sigma$. Then it contains $\iiint \_V \rho dV$ of the liquid; for time $dt$ it is increased by
\begin{equation\*}
\iiint \rho\_t dV \times dt;
\end{equation\*}
 on the other hand, the quantity of the liquid which arrived to $V$ through $\Sigma$ for time $dt$ is given by (\ref{eq-14.2.1}) where $\mathbf{n}$ is an inner normal to $\Sigma$ and by Gauss formula <a href="./S14.1.html#mjx-eqn-eq-14.1.2">(14.1.2)</a> it is equal
\begin{equation\*}
-\iiint\_V \nabla\cdot (\rho \mathbf{v})\,dV\times dt.
\end{equation\*}
Equalizing these two expressions and we get
\begin{equation\*}
\iiint\_V  \bigl( \rho\_t +\nabla \cdot (\rho \mathbf{v}  \bigr)\,dV =0.
\end{equation\*}
Since it holds for any volume $V$ we conclude that
\begin{equation}
 \rho_t +\nabla \cdot (\rho \mathbf{v}) =0.
 \label{eq-14.2.2}
\end{equation}
It is called *continuity equation* and it means the *conservation law*.

**[Remark 1.](id:remark-14.2.1)**

a. It may happen that there is a *source* with the density $f=f(\mathbf{x},t)$ which means that for time $dt$ in the volume $V$ the quantity of the liquid $\iiint\_V fdV\times dt$ emerges (if $f<0$ we call it *sink*). Then (\ref{eq-14.2.2}) should be replaced by
\begin{equation}
 \rho\_t +\nabla \cdot (\rho \mathbf{v} =f.
 \label{eq-14.2.3}
\end{equation}
b. Since $\rho$ is a mass per unit volume, $\mathbf{p}=\rho\mathbf{v}$ is a momentum per unit volume i.e. *density of momentum*.
c. One can rewrite (\ref{eq-14.2.2}) as
\begin{equation}
 \rho\_t + \mathbf{v}  \cdot \nabla  \rho + \rho \nabla \cdot  \mathbf{v}  = \frac{d\rho }{dt}  +\rho \nabla \cdot  \mathbf{v}=0
 \label{eq-14.2.4}
\end{equation}
where
\begin{equation}
\frac{d\  }{dt}= \frac{\partial\  }{\partial t}+\mathbf{v}  \cdot \nabla
\label{eq-14.2.5}
\end{equation}
 is a *differentiation along the trajectory* $\frac{d\mathbf{x} }{dt}=\mathbf{v}$.
d. Instead of  $\rho$ usual density (of the mass) it could be an (electric) charge; then $\mathbf{j}=\rho\mathbf{v}$ a *density of the current*. In fact $\rho$ could be density of anything which is preserved and flows(rather than disappears in one place and emerges in the other).
e.  In fact, we can consider a mixture of particles; then $\mathbf{v}$ is not defined but $\mathbf{p}$ still is and equation
\begin{equation}
 \rho_t +\nabla \cdot  \mathbf{p} =0
 \label{eq-14.2.6}
\end{equation}
makes sense.
<!--\end{remark}-->

**[Definition 1.]<(id:definition-14.2.1)**
Equation (\ref{eq-14.2.6}) which could be written as
\begin{equation}
 \rho\_t  +\sum\_j p\_{j,x\_j} =0
 \label{eq-14.2.7}
\end{equation}
is called a *conservation law*.
<!--\end{definition}-->

**[Remark 2.](id:remark-14.2.2)**
Since not only scalar but also vector quantities could be conserved such conservation laws could be written in the form
\begin{equation}
 p\_{i,t}  +\sum\_j F\_{ij,x\_j} =0, \qquad i=1,2,3.
 \label{eq-14.2.8}
\end{equation}
Here $F\_{ij}$ is a *tensor* (more precise meaning of this word is not important here but those who pecialize in mathematics or theoretical physics will learn it eventually). Using Einstein summation rule (which also indicates the nature of vector and tensors) one can rewrite (\ref{eq-14.2.7}) and (\ref{eq-14.2.8}) as
\begin{gather}
\rho\_t +p^j\_{x^j}=0, \label{eq-14.2.9}\\\\
 p\_{i,t}  + F^j_{i,x\_j} =0\label{eq-14.2.10}
 \end{gather}
 respectively.
<!--\end{remark}-->

###[Examples](id:sect-14.2.2)

**[Example 1.](id:example-14.2.1)**
For wave equation
\begin{equation}
u\_{tt}-c^2 \Delta u=0
 \label{eq-14.2.11}
\end{equation}
the following conservation laws hold:
\begin{equation}
\partial\_t \bigl(\frac{1}{2}(u\_t^2+ c^2|\nabla u|^2)\bigr)+\nabla \cdot \bigl(-c^2u\_t\nabla u\bigr)=0;
\label{eq-14.2.12}
\end{equation}
and
\begin{equation}
\partial\_t \bigl(u\_tu\_{x\_i}\bigr)+\sum\_{j}\partial\_{x\_j} \bigl(\frac{1}{2}(c^2|\nabla u|^2-u\_t^2 ) \delta\_{ij}-c^2u\_{x\_i}u\_{x\_j}\bigr)=0;
\label{eq-14.2.13}
\end{equation}
<!--\end{example}-->

**[Example 2.](id:example-14.2.2)**
For elasticity equation
\begin{equation}
\mathbf{u}\_{tt}-\lambda \Delta \mathbf{u} -\mu \nabla (\nabla\cdot\mathbf{u})=0
 \label{eq-14.2.14}
\end{equation}
one can write conservation laws similar to (\ref{eq-14.2.12}) and (\ref{eq-14.2.13}) but they are too complicated; we mention only that in (\ref{eq-14.2.12}) $\frac{1}{2}(u\_t^2+ c^2|\nabla u|^2)$ is replaced by
\begin{equation}
\frac{1}{2}(|\mathbf{u}\_t|^2+ \lambda  |\nabla \otimes \mathbf{u}|^2+
\mu |\nabla \cdot \mathbf{u}|^2)
\label{eq-14.2.15}\end{equation}
with $|\nabla \otimes \mathbf{u}|^2\sum\_{i,j} u\_{j,x\_i}^2$ as $\mathbf{u}=(u\_1,u\_2,u\_3)$.
<!--\end{example}-->

**[Example 3.](id:example-14.2.3)**
For membrane equation
\begin{equation}
u\_{tt}+\Delta^2 u=0
 \label{eq-14.2.16}
\end{equation}
the following conservation law holds:
\begin{equation}
\partial\_t \bigl(\frac{1}{2}(u\_t^2+ \sum\_{i,j} | u\_{x\_ix\_j}^2)\bigr)+\sum\_{k}\partial\_{x\_k}\bigl(\sum\_{j} u\_{x\_jx\_jx\_k}u\_t- u\_{x\_jx\_k}u\_{x_jt}\bigr)=0.
\label{eq-14.2.17}
\end{equation}
<!--\end{example}-->

**[Example 4.](id:example-14.2.4)**
For Maxwell equations
\begin{equation}
\left\\{\begin{aligned}
&\mathbf{E}\_t=\nabla \times \mathbf{H},\\\\
&\mathbf{H}\_t=-\nabla \times \mathbf{E},\\\\
&\nabla\cdot \mathbf{E}=\nabla \cdot \mathbf{H}=0
\end{aligned}\right.
\label{eq-14.2.18}
\end{equation}
the following conservation laws hold:
\begin{equation}
\partial\_t \bigl(\frac{1}{2}(\mathbf{E}^2+ \mathbf{H}^2)\bigr)+\nabla \cdot \bigl(\mathbf{E}\times \mathbf{H}\bigr)=0;
\label{eq-14.2.19}
\end{equation}
(where $\mathbf{P}=\mathbf{E}\times \mathbf{H}$ is a Pointing vector) and if $\mathbf{P}=(P\_1,P\_2,P\_3)$ then
\begin{equation}
\partial\_t P\_k +\sum\_j \partial\_{x\_j} \bigl(\frac{1}{2}(\mathbf{E}^2+\mathbf{H}^2)\delta_{jk} - \mathbf{E}\_j\mathbf{E}\_k -\mathbf{H}\_j\mathbf{H}\_k \bigr)=0.
\label{eq-14.2.20}
\end{equation}
<!--\end{example}-->

**[Example 5.](id:example-14.2.5)**
For Schrödinger equations
\begin{equation}
-i\hbar \psi\_t= \frac{\hbar^2}{2m} \Delta \psi -V(\mathbf{x})\psi
\label{eq-14.2.21}
\end{equation}
the following conservation law holds:
\begin{equation}
(\bar{\psi}s)_t+ \nabla \cdot \Re( -\frac{i\hbar}{m}\bar{\psi}\nabla\psi)=0
\label{eq-14.2.22}
\end{equation}
<!--\end{example}-->

_________

[$\Leftarrow$](./14.1.html)&nbsp;&nbsp;[$\Uparrow$](./contents.html)&nbsp;&nbsp;[$\Rightarrow$](./14.3.html)

