<link href="../markdown.css" rel="stylesheet"></link>

<title>2.5. Wave equation reloaded (continued)</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


##[2.5. Wave equation reloaded (continued)](id:sect-2.5)
--------

> 1.  [Wave equation reloaded (continued)](#sect-2.5.1)
> 2.  [Wave equation reloaded (Duhamel integral)](#sect-2.5.2)
> 3.  [Domains of dependence and influence](#sect-2.5.3)
> 4.  [Examples](#sect-2.5.4)


We solved IVP with homogeneous ($=0$) initial data for inhomogeneous
wave equation. Now consider both inhomogeneous data and equation. So we
consider problem
[(2.4.6)](./S2.4.html#mjx-eqn-eq-2.4.6)-[(2.4.8)](./S2.4.html#mjx-eqn-eq-2.4.8):
\begin{align}
&u\_{tt}-c^2u\_{xx}=f(x,t),\label{eq-2.5.1} \\\\[3pt]
&u|\_{t=0}=g(x),\label{eq-2.5.2}\\\\[3pt]
&u\_t|\_{t=0}=h(x). \label{eq-2.5.3}
\end{align}
when neither $f$, nor $g,h$ are necessarily equal to $0$.

The good news is that our equation is linear and therefore
$u=u\_2+u\_1$ where $u\_1$ satisfies problem with right-hand function $f(x,t)$ but with $g$ and $h$ replaced by $0$ and $u\_2$ satisfies the same problem albeit with $f$ replaced by $0$ and original $g,h$:
\begin{align\*}
&u\_{1tt}-c^2u\_{1xx}=f(x,t),
\qquad &&u\_{2tt}-c^2u\_{2xx}=0, \\\\[3pt]
&u\_1|\_{t=0}=0, &&
u\_2|\_{t=0}=g(x),\\\\[3pt]
&u\_{1t}|\_{t=0}=0 &&u\_{2t}|\_{t=0}=h(x).
\end{align\*}

**[Exercise 1.](id:exercise-2.5.12)** Prove it.<!--\end{exercise}-->

Then $u\_1$ is given by [(2.4.11)](./S2.4.html#mjx-eqn-eq-2.4.11), and
$u\_2$ is given by [(2.3.14)](./S2.3.html#mjx-eqn-eq-2.3.14) (with
$(f,g)\mapsto (g,h)$)and adding them we arrive to the final
\begin{multline}
u(x,t)= \underbracket{
\frac{1}{2}\bigl[g(x+ct)+g(x-ct)\bigr]+\frac{1}{2c}\int\_{x-ct}^{x+ct}
h(y)\,dy}\_{=u\_2}+\\\\[3pt]
\underbracket{\frac{1}{2c}
\iint\_{\Delta (x,t)} f(x',t' )\,dx\,d t' }\_{=u\_1}.
\label{eq-2.5.4}
\end{multline}
where recall that $\Delta(x,t)$ is a *characteristic triangle:*

->![fig-2.5.1](./S2.4-2.svg)<-

This formula is also called *D'Alembert formula*.

**[Remark 1.](id:remark-2.5.1)**
Note that integral of $h$ in $u\_2$ is taken over base of
the characteristic triangle $\Delta(x,t)$ and $g$ is taken in the
ens of this base.
<!--\end{remark}-->

###[Wave equation reloaded (Duhamel integral)](id:sect-2.5.2)

We discuss formula (\ref{eq-2.5.4}) in details in the next lecture and now
let us derive it by a completely different method. Again, in virtue of
[(2.3.14)](./S2.3.html#mjx-eqn-eq-2.3.14) we need to consider only the case when
$g=h=0$.

Let us define an auxillary function $U(x,t,\tau)$ ($0\< \tau \< t $)
as a solution of an auxillary problem
\begin{align}
&U\_{tt}-c^2U\_{xx}=0,\label{eq-2.5.5} \\\\[3pt]
&U|\_{t=\tau}=0,\label{eq-2.5.6}\\\\[3pt]
&U\_t|\_{t=\tau}=f(x,\tau).
\label{eq-2.5.7} \end{align}
We claim that

**[Proposition 1.](id:prop-2.5.1)**
\begin{equation}
u(x,t)=\int\_0^t
U(x,t,\tau)\,d\tau \label{eq-2.5.8}
\end{equation}
is a required solution.
<!--\end{proposition}-->

*Proof.* Note first that we can differentiate (\ref{eq-2.5.8}) by $x$ easily: \begin{equation}
u\_x=\int\_0^t U\_x (x,t,\tau)\,d\tau,\qquad
u\_{xx}=\int\_0^t U\_{xx}
(x,t,\tau)\,d\tau
\label{eq-2.5.9}
\end{equation}
and so on. Let us find $u\_t$. Note that $u$ depends on $t$ through its upper limit and through integrand. We apply formula
\begin{multline}
\frac{d\\ }{dt}\Bigl(\int\_{\alpha(t)}^{\beta(t)} F (t,\tau)\,d\tau\Bigr)=\\\\ -F(t,\alpha(t))\alpha'(t)+F(t,\beta(t))\beta'(t)+
\int\_{\alpha(t)}^{\beta(t)} \frac{\partial F}{\partial t}
(t,\tau)\,d\tau\qquad
\label{eq-2.5.10}
\end{multline}
which you should know but we will prove it anyway.

As $\alpha=0$, $\beta=t$ we have $\alpha'=0$, $\beta'=1$ and
\begin{equation\*}
u\_t=U(x,t,t)+\int\_0^t U\_t (x,t,\tau)\,d\tau.
\end{equation\*}
But $U(x,t,t)=0$ due to (\ref{eq-2.5.6}) and therefore
\begin{equation}
 u\_t=\int\_0^t U\_t (x,t,\tau)\,d\tau.
\label{eq-2.5.11}
\end{equation}
We can differentiate this with respect to $x$ as in (\ref{eq-2.5.9}). Let us differentiate by $t$. Applying the same (\ref{eq-2.5.10}) we get \begin{equation\*}
u\_{tt}=U\_t(x,t,t)+\int\_0^t U\_{tt} (x,t,\tau)\,d\tau.
\end{equation\*}
Due to (\ref{eq-2.5.7}) $U\_t(x,t,t)=f(x,t)$:
\begin{equation\*}
u\_{tt}=f(x,t)+\int\_0^t U\_{tt}
(x,t,\tau)\,d\tau.
\end{equation\*}
Therefore
\begin{equation\*}
u\_{tt}-c^2u\_{xx}=f(x,t)+\int\_0^t
\underbracket{\bigl(U\_{tt}-c^2U\_{xx}\bigr)}\_{=0} (x,t,\tau)\,d\tau =f(x,t) \end{equation\*}
where integrand vanishes
due to (\ref{eq-2.5.5}). So, $u$ really satisfies (\ref{eq-2.5.1}). Due to
(\ref{eq-2.5.8}) and (\ref{eq-2.5.11}) $u|\_{t=0}=u\_t|\_{t=0}=0$. QED.

Formula (\ref{eq-2.5.8}) is *Duhamel integral formula.*

**[Remark 2.](id:remark-2.5.2)** It is not important that it is wave equation: we need assume that equation is linear and has a form $u\_{tt} + Lu=f$ where $Lu$ is a linear combination of $u$ and its derivatives but with no more than $1$ differentiation by $t$.
<!--\end{remark}-->

Now we claim that
\begin{equation}
U(x,t,\tau)= \frac{1}{2c} \int \_{x-c(t-\tau)} ^{x+c(t-\tau)} f(x',\tau)\,dx'. \label{eq-2.5.12}
\end{equation}
Really, changing variable $t'=t-\tau$ we get the same problem albeit with $t'$ instead of $t$ and with initial data at $t'=0$.

Plugging (\ref{eq-2.5.12}) into (\ref{eq-2.5.8}) we get
\begin{equation}
u(x,t)=\int\_0^t \frac{1}{2c}
\Bigl[\int\_{x-c(t-\tau)} ^{x+c(t-\tau)} f(x',\tau)\,dx'\Bigr]\,d\tau. \label{eq-2.5.13}
\end{equation}

**[Exercise 2.](id:exercise-2.5.2)** Rewrite double integral (\ref{eq-2.5.13}) as a $2D$-integral in the right-hand expression of [(2.4.11)](./S2.4.html#mjx-eqn-eq-2.4.11). <!--\end{exercise}-->

*Proof of* (\ref{eq-2.5.10}). Let us plug $\gamma$ into $F(x,t,\tau)$
instead of $t$. Then integral $I(t)=J(\alpha(t),\beta(t),\gamma(t))$ with
$J(\alpha,\beta,\gamma)= \int\_\alpha^\beta F(\gamma,\tau)\,d\tau$ and by chain rule $I'(t)=J\_\alpha \alpha'+J\_\beta \beta'+J\_\gamma \gamma'$.

But $J\_\alpha=-F(\gamma,\alpha)$, $J\_\beta=F(\gamma,\beta)$
(differentiation by lower and upper limits) and
$J\_\gamma=\int\_\alpha^\beta F\_\gamma (\gamma,\tau)\,d\tau$. Plugging $\gamma=t$, $\gamma'=1$ we arrive to (\ref{eq-2.5.10}).

###[Domains of dependence and influence](id:sect-2.5.3)

Recall formula (\ref{eq-2.5.4}):
\begin{multline\*}
u(x,t)= \frac{1}{2}\bigl[
g(x+ct)+g(x-ct)\bigr]+\frac{1}{2c}\int\_{x-ct}^{x+ct} h(x')\,dx'+\\\\[3pt] \frac{1}{2c} \iint\_{\Delta (x,t)} f(x',t' )\,dx’d t'
\end{multline\*} where $\Delta (x,t)$ is the same characteristic triangle as above:

->![fig-5.2](./S2.4-2.svg)<-

Therefore

**[Proposition 2.](id:prop-2.5.2)**
Solution $u(x,t)$ depends only on the right hand
expression $f$ in $\Delta(x,t)$ and on the initial data $g,h$ on
the base of $\Delta(x,t)$.
<!--\end{proposition}-->

**[Definition 1.](id:definition-2.5.1)**
$\Delta(x,t)$ is a *triangle of dependence* for point $(x,t)$.
<!--\end{definition}-->

Conversely, if we change functions $g,h$ only near some point
$(\bar{x},0)$ then solution can change only at points $(x,t)$ such that $(\bar{x},0)\in \Delta(x,t)$; let $\Delta^+(\bar{x},0)$ be the set of such points $(x,t)$:

->![fig-2,5.3](./S2.4-3.svg)<-

**[Definition 2.](id:definition-2.5.2)**
$\Delta^+(\bar{x},0)$ is a *triangle of influence* for point $(\bar{x},0)$.
<!--\end{definition}-->

**[Remark 3.](id:remark-2.5.3)**

a. We can introduce *triangle of influence* for each point (not necessary at $t=0$).

b. These notions work in much more general settings and we get *domain of dependence* and *domain of influence* which would not be triangles.

c. F.e. for $3D$ wave equation $u\_{tt}- c^2 (u\_{xx}+u\_{yy}+u\_{zz})=f$ those would be the *backward light cone* and *forward light cone* respectively and if $c$ is variable instead of cones we get *conoids* (imagine tin coin and then
deform it but the vertex should remain).

We see also that

 **[Proposition 3.](id:prop-2.5.3)** Solution propagates with the speed not exceeding $c$.
<!--\end{proposition}-->

###[Examples](id:sect-2.5.4)

In examples we rewrite the last term in (\ref{eq-2.5.4}) as a double
integral:
\begin{multline}
u(x,t)= \frac{1}{2}\bigl[
g(x+ct)+g(x-ct)\bigr]+\frac{1}{2c}\int\_{x-ct}^{x+ct} h(x') \,dx'+\\\\[3pt]
\frac{1}{2c} \int\_0^t
\int\_{x-c(t-t')}^{x+c(t-t')} f(x',t' )\\,dx'd t'
\label{eq-2.5.14}\qquad
\end{multline}

**[Example 1.](id:exaple-2.5.1)**
\begin{align\*}
&u\_{tt}-4u\_{xx}= \sin(x)\cos( t),\\\\
&u|\_{t=0}= 0,\\\\
&u\_t|\_{t=0}= 0.
\end{align\*}
Then $c=2$ and according to (\ref{eq-2.5.14})
\begin{multline\*}
u(x,t)= \frac{1}{4}
\int\_0^t \int\_{x-2(t-t')}^{x+2(t-t')} \sin (x')\cos( t')\,dx' d t'=\\\\ \frac{1}{4} \int\_0^t
\Bigl[\cos \bigl(x-2(t-t')\bigr)-\cos \bigl( x+2(t-t')\bigr) \Bigr]
\cos( t')\, d t'= \\\\
\frac{1}{2} \int\_0^t \sin(x) \sin (2(t-t'))\cos( t')\, d t'=\\\\ \frac{1}{4}\sin(x) \int\_0^t [\sin (2(t-t')+t')+\sin( 2(t-t')-t')]\, d t'=\\\\ \frac{1}{4}\sin(x) \int\_0^t [\sin (2t-t')+\sin( 2t-3t')]\, d t'=\\\\
\frac{1}{4}\sin(x)
\bigl[\cos (2t-t')+\frac{1}{3}\cos( 2t-3t')\bigr]\_{t'=0}^{t'=t}=\\\\
\frac{1}{3}\sin(x)\bigl[\cos(t)-\cos(2t) \bigr].
\end{multline\*}
Sure, *separation of variables* would be simpler here.
<!--\end{example}-->

______________

[$\Leftarrow$](./S2.4.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\downarrow$](./S2.6.P.html)&nbsp;&nbsp;[$\Rightarrow$](./S2.6.html)
