<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Section 2.5, 2.6</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

###[Problems](id:sect-2.6.P)

> 1. [Problem 1](#problem-2.6.P.1)
> 2. [Problem 2](#problem-2.6.P.2)
> 3. [Problem 3](#problem-2.6.P.3)
> 4. [Problem 4](#problem-2.6.P.4)
> 5. [Problem 5](#problem-2.6.P.5)

**[Problem 1.](id:problem-2.6.P.1)**

a. Find solution
\begin{align}
& u\_{tt}-c^2u\_{xx}=0, &&t\>0, x\>0,  \\\\\
&u|\_{t=0}= \phi (x),   &&x\>0, \\\\
&u\_t|\_{t=0}= c\phi'(x),  &&x\>0, \\\\
&u|\_{x=0}=\chi(t), &&t\>0.
\end{align}
(separately in $x \> ct$ and $0 \< x \< ct$).

b. Find solution
\begin{align}
& u\_{tt}-c^2u\_{xx}=0, &&t\>0, x\>0,  \\\\\
&u|\_{t=0}= \phi (x),   &&x\>0, \\\\
&u\_t|\_{t=0}= c\phi'(x),  &&x\>0, \\\\
&u\_x|\_{x=0}=\chi(t), &&t\>0.
\end{align}
(separately in $x \> ct$ and $0 \< x \< ct$).

**[Problem 2.](id:problem-2.6.P.2)**

a. Find solution
\begin{align\*}
& u\_{tt}-c\_1^2u\_{xx}=0, &&&t\>0, x\>0,  \\\\
& u\_{tt}-c\_2^2u\_{xx}=0, &&&t\>0, x\<0,  \\\\
&u|\_{t=0}= \phi (x),   &&u\_t|\_{t=0}= c\_1\phi'(x) &x\>0, \\\\
&u|\_{t=0}=0, &&u\_t|\_{t=0}=0, &x\<0,\\\\
&u|\_{x=+0}=\alpha u|\_{x=-0}, &&u\_x|\_{x=+0}=\beta u\_x|\_{x=-0} &t\>0
\end{align\*}
(separately in $x \> \_1 t$, $0 \< x \< c\_ t$, $-c\_2t \< x \< 0$ and $x \< -c\_2t$.

b. Discuss *reflected wave* and *refracted  wave*.


**[Problem 3.](id:problem-2.6.P.3)**
Consider equation with the initial conditions
\begin{align}
& u\_{tt}-c^2 u\_{xx}=0,\qquad &&t\>0, x\>vt,\label{3a}  \\\\
&u|\_{t=0}= f(x), \qquad &&x\>0, \label{3b}\\\\
&u\_t|\_{t=0}= g(x), \qquad &&x\>0.\label{3c}
\end{align}


a.  Find which of these conditions (a)-(c) at $x=vt$,
    $t\>0$ could be added to (\ref{3a})-(\ref{3b}) so that the
    resulting problem would have a unique solution and solve the problem you deemed as a good one:
	1.  None,
	2.  $u|\_{x=vt}=0$ ($t\>0$),
 	3.  $(\alpha u_x +\beta u\_t)|\_{x=vt}=0$ ($t\>0$),
	4.  $u|\_{x=vt}=u\_x|\_{x=vt}=0$ ($t\>0$).<br>
Consider cases $v\>c$, $-c \< v \< c$ and $v \< -c$. In the case condition (3) find necessary restrictions to $\alpha,\beta$.

b. Find solution in the cases when it exists and is uniquely determined; consider separately zones $x \> ct$, $-ct \< x \< ct $ and $x\> ct$ (intersected with $x\> vt$).



**[Problem 4.](id:problem-2.6.P.4)**

By method of continuation combined with D'Alembert formula solve each of
the following four problems (a)--(d).

a. \begin{equation}
\left\\{\begin{aligned}
&u\_{tt}-9u\_{xx}=0, \qquad &&x\>0,\\\\
&u|\_{t=0}=0, \qquad &&x\>0,\\\\
&u\_t|\_{t=0}=\cos (x), \qquad &&x\>0,\\\\
&u|\_{x=0}=0, \qquad &&t\>0.
\end{aligned}\right.
\label{eq-HA2.7}
\end{equation}


b. \begin{equation}
\left\\{\begin{aligned}
&u\_{tt}-9u\_{xx}=0, \qquad &&x\>0,\\\\
&u|\_{t=0}=0, \qquad &&x\>0,\\\\
&u\_t|\_{t=0}=\cos (x), \qquad &&x\>0,\\\\
&u\_x|\_{x=0}=0, \qquad &&t\>0.
\end{aligned}\right.
\label{eq-HA2.8}
\end{equation}


c. \begin{equation}
\left\\{\begin{aligned}
&u\_{tt}-9u\_{xx}=0, \qquad &&x\>0,\\\\
&u|\_{t=0}=0, \qquad &&x\>0,\\\\
&u\_t|\_{t=0}=\sin(x), \qquad &&x\>0,\\\\
&u|\_{x=0}=0, \qquad &&t\>0. \end{aligned}\right.
\label{eq-HA2.9}
\end{equation}


d. \begin{equation}
\left\\{\begin{aligned}
&u\_{tt}-9u\_{xx}=0, \qquad &&x\>0,\\\\
&u|\_{t=0}=0, \qquad &&x\>0,\\\\
&u\_t|\_{t=0}=\sin(x), \qquad &&x\>0,\\\\
&u\_x|\_{x=0}=0, \qquad &&t\>0.
\end{aligned}\right.
\label{eq-HA2.10}
\end{equation}

**[Problem 5.](id:problem-2.6.P.5)**

Solve
\begin{align}
&(t^2+1)u\_{tt}+tu\_t-u\_{xx}=0,\\\\[3pt]
&u|\_{t=0}=0, \qquad u\_t|\_{t=0}=1.
\end{align}
*Hint*: Make a change of variables $x=\frac{1}{2}(\xi+\eta)$, $t=\sinh (\frac{1}{2}(\xi-\eta))$ and calculate $u\_\xi$, $u\_\eta$, $u\_{\xi\eta}$.

______________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S2.6.html)&nbsp;&nbsp;[$\Rightarrow$](./S2.7.html)
