<link href="../markdown.css" rel="stylesheet"></link>

<title>3.2.P. Problems to Section 3.2</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###[Problems to Section 3.2](id:sect-3.2.P)

> 1. [Problem 1](#problem-3.2.P.1)
> 2. [Problem 2](#problem-3.2.P.2)
> 3. [Problem 3](#problem-3.2.P.3)
> 4. [Problem 4](#problem-3.2.P.4)
> 5. [Problem 5](#problem-3.2.P.5)
> 6. [Problem 6](#problem-3.2.P.6)
> 7. [Problem 7](#problem-3.2.P.7)
> 8. [Problem 8](#problem-3.2.P.8)


Crucial in many problems is formula ([3.2.14](./S3.2.html#mjx-eqn-eq-3.2.14))
rewritten as
\begin{equation}
u(x,t)=\int \_{-\infty}^\infty G(x,y,t) g(y)\,dy.
\label{a}
\end{equation}
with
\begin{equation}
G(x,y,t)=\frac{1}{2\sqrt{k\pi t}}e^{-\frac{(x-y)^2}{4kt}}
\label{b}
\end{equation}
This formula solves IVP for a heat equation
\begin{equation}
u\_t=ku\_{xx}
\label{c}
\end{equation}
with the initial function $g(x)$.

In many problems below for a modified standard problem you need to derive a similar formula albeit with modified $G(x,y,t)$. Consider
\begin{equation\*}
\erf(z)=\sqrt{\frac{2}{\pi}}\int\_0^ze^{-z^2/2}\,dz
\tag{Erf}\label{eq-Erf}
\end{equation\*}
as a standard function.

**[Problem 1.](id:problem-3.2.P.1)**
Using method of continuation obtain formula similar to
(\ref{a})-(\ref{b}) for solution of IBVP for a heat equation on
${x\>0,t\>0}$ with the initial function $g(x)$ and with

a.  Dirichlet boundary condition $u|\_{x=0}=0$;
b.  Neumann boundary condition $u\_x|\_{x=0}=0$;
<!--\end{problem}-->

**[Problem 2.](id:problem-3.2.P.2)**
Using method of continuation obtain formula similar to
(\ref{a})-(\ref{b}) for solution of IBVP for a heat equation on
${x\>0,t\>0}$ with the initial function $g(x)$ and with

a.  Dirichlet boundary condition on both ends $u|\_{x=0}=u|\_{x=L}=0$;
b.  Neumann boundary condition on both ends $u\_x|\_{x=0}=u\_x|\_{x=L}=0$;
c.  Dirichlet boundary condition on one end and Neumann boundary condition on another $u|\_{x=0}=u\_x|\_{x=L}=0$.
<!--\end{problem}-->

**[Problem 3.](id:problem-3.2.P.3)**
Consider heat equation with a convection term
\begin{equation}
u\_t+\underbracket{c u\_x}\_{\text{convection term}} =ku\_{xx}.
\label{d}
\end{equation}

a. Prove that it is obtained from the ordinary heat equation with respect to $U$ by a change of variables $U(x,t)=u(x+ct, t)$. Interpret (\ref{d}) as equation describing heat propagation in the media moving to the right with the speed $c$.

b.  Using change of variables $u(x,t)=U(x-vt,t)$ reduce it to ordinary
heat equation and using (\ref{a})-(\ref{b}) for a latter write a formula for solution $u (x,t)$.

c. Can we use the method of continuation *directly* to solve IBVP with Dirichlet
or Neumann boundary condition at $x\>0$ for (\ref{d}) on $\\{x\>0,t\>0\\}$? Justify your answer.

d. Plugging $u(x,t)= v(x,t)e^{\alpha x +\beta t}$ with appropriate constants $\alpha,\beta$ reduce (\ref{d}) to ordinary heat equation.

e. Using (d) write formula for solution of such equation on the half-line or an interval in the case of Dirichlet boundary condition(s). Can we use this method in the case of Neumann boundary conditions? Justify your answer.
<!--\end{problem}-->

**[Problem 4.](id:problem-3.2.P.4)**
Using either formula (\ref{a})-(\ref{b}) or its modification (if
needed)

a.  Solve IVP for a heat equation (\ref{c}) with
	$g(x)=e^{-\varepsilon |x|}$; what happens as $\varepsilon \to +0$?
b.  Solve IVP for a heat equation with convection (\ref{d}) with
	$g(x)=e^{-\varepsilon |x|}$; what happens as $\varepsilon \to +0$?
c.  Solve IBVP with the Dirichlet boundary condition for a heat equation
(\ref{d}) with $g(x)=e^{-\varepsilon |x|}$; what happens as $\varepsilon \to +0$?
d.  Solve IBVP with the Neumann boundary condition for a heat equation
	(\ref{c}) with $g(x)=e^{-\varepsilon |x|}$; what happens as $\varepsilon \to +0$?
<!--\end{problem}-->

**[Problem 5.](id:problem-3.2.P.5)**
Consider a solution of the diffusion equation $u\_t=u\_{xx}$ in
$[0\le x \le L, 0\le t \<\infty]$.

Let \begin{gather\*}
M(T)= \max \_{[0\le x \le L, 0\le t \le T]} u(x,t),\\\\
m(T)= \min \_{[0\le x \le L, 0\le t \le T]} u(x,t).
\end{gather\*}

a.  Does $M(T)$ increase or decrease as a function of $T$?
b.  Does $m(T)$ increase or decrease as a function of $T$?
<!--\end{problem}-->

**[Problem 6.](id:problem-3.2.P.6)**
The purpose of this exercise is to show that the maximum principle is
not true for the equation $u\_t=xu\_{xx}$ which has a  coefficient which changes sign.

a.  Verify that $u=-2xt-x^2$ is a solution.
b.  Find the location of its maximum in the closed rectangle
	$[-2\le x\le 2, 0\le t\le 1]$.
3.  Where precisely does our proof of the maximum principle break down for this equation?

<!--\end{problem}-->

**[Problem 7.](id:problem-3.2.P.7)**

a.  Consider the heat equation on $J=(-\infty,\infty)$ and prove
that an *energy*
\begin{equation}
E(t)=\int\_J u^2 (x,t)\,dx
\label{e}
\end{equation}
does not increase; further, show that it really decreases unless $u(x,t)=\const$;

b.  Consider the heat equation on $J=(0,l)$ with the Dirichlet or
Neumann boundary conditions and prove that an $E(t)$ does not
increase; further, show that it really decreases unless
$u(x,t)=\const$;

c.  Consider the heat equation on $J=(0,l)$ with the Robin boundary
conditions
\begin{gather}
u\_x(0,t)-a\_0u(0,t)=0,\\\\
u\_x(L,t)+a\_L u(L,t)=0.
\end{gather}
If $a\_0\>0$ and $a\_l\>0$, show that the endpoints contribute to the decrease of $E(t)=\int\_0^L u^2 (x,t)\\,dx$.

This is interpreted to mean that part of the *energy* is lost at the
boundary, so we call the boundary conditions *radiating* or *dissipative*.

**Hint.** To prove decrease of $E(t)$ consider it derivative by $t$, replace $u\_t$ by $ku\_{xx}$ and integrate by parts.
<!--\end{problem}-->

**[Remark 1.](id:remark-3.2.P.1)**

 In the case of heat (or diffusion) equation an *energy* given by (\ref{eq-e}) is rather mathematical artefact.

<!--\end{problem}-->

**[Problem 8.](id:problem-3.2.P.8)**
Find a self–similar solution $u$ of
\begin{equation}
u\_t = (u u\_x)\_x  \qquad -\infty\< x \<\infty , t>0
\label{f}
\end{equation}
with finite $\int_{-\infty}^\infty u\,dx$.

______________

[[$\Uparrow$](../contents.html)&nbsp;&nbsp;[[$\uparrow$](./S3.2.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter4/S4.1.html)
