<link href="../markdown.css" rel="stylesheet"></link>

<title>4.2. Eigenvalue problem</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$



##[4.2. Eigenvalue problem](id:sect-4.2)
------------------

> 1.  [Problems with explicit solutions](#sect-4.2.1)
> 2.  [Problems with "almost" explicit solutions](#sect-4.2.2)

###[Problems with explicit solutions](id:sect-4.2.1)

**[Example 1.](id:example-4.2.1)**
(Dirichlet-Dirichlet; from [Section 4.1](./S4.1.html)).
Consider eigenvalue problem
\begin{align}
&X'' +\lambda X=0 && 0\< x\< l,\label{eq-4.2.1}\\\\[3pt]
\label{eq-4.2.2}& X(0)=X(l)=0
\end{align}
as eigenvalues and corresponding eigenfunctions
\begin{align}
& \lambda\_n=\bigl(\frac{\pi n}{l}\bigr)^2,&&n=1,2,\ldots
\label{eq-4.2.3}\\\\[3pt]
& X\_n=\sin \bigl(\frac{\pi n}{l}x\bigr). \label{eq-4.2.4}
\end{align}
<!--\end{example}-->

**[Example 2.](id:example-4.2.2)**
(Neumann-Neumann).
Eigenvalue problem
\begin{align} & X'' +\lambda X=0 && 0\< x\< l,\label{eq-4.2.5}\\\\[3pt]
& X'(0)=X'(l)=0\label{eq-4.2.6}
\end{align} has
eigenvalues and corresponding eigenfunctions
\begin{align}
& \lambda\_n=\bigl(\frac{\pi n}{l}\bigr)^2,&&n=0,1,2,\ldots
\label{eq-4.2.7}\\\\[3pt]
& X\_n=\cos \bigl(\frac{\pi n}{l}x\bigr). \label{eq-4.2.8}
\end{align}
<!--\end{example}-->

**[Example 3.](id:example-4.2.3)**
(Dirichlet-Neumann). Consider eigenvalue problem
\begin{align}
& X'' +\lambda X=0 && 0\< x\< l,\label{eq-4.2.9}\\\\[3pt]
& X(0)=X'(l)=0\label{eq-4.2.10}
\end{align}
has eigenvalues and corresponding eigenfunctions
\begin{align}
& \lambda\_n=\bigl(\frac{\pi (2n+1)}{2l}\bigr)^2,&&n=0,1,2,\ldots
\label{eq-4.2.11}\\\\[3pt]
& X\_n=\sin \bigl(\frac{\pi (2n+1)}{2l}x\bigr)\label{eq-4.2.12}
\end{align}
while the same problem albeit with the ends reversed (i.e. $X'(0)=X(l)=0$) has the same eigenvalues and eigenfunctions
$\cos \bigl(\frac{\pi (2n+1)}{2l}x\bigr)$.
<!--\end{example}-->

**[Example 4.](id:example-4.2.4)**
(periodic). Consider eigenvalue problem
\begin{align}
& X'' +\lambda X=0 && 0\< x\< l,\label{eq-4.2.13}\\\\[3pt]
& X(0)=X(l), \quad X'(0)=X'(l)\label{eq-4.2.14}
\end{align}
has eigenvalues and corresponding eigenfunctions
\begin{align}
& \lambda\_0=0,\label{eq-4.2.15}\\\\[3pt]
& X\_0=1,\label{eq-4.2.16}\\\\
& \lambda\_{2n-1}=\lambda\_{2n}=\bigl(\frac{\pi n}{2l}\bigr)^2,&&n=1,2,\ldots
\label{eq-4.2.17}\\\\[3pt]
& X\_{2n-1}=\cos \bigl(\frac{2\pi n}{l}x\bigr),
&& X\_{2n}=\sin \bigl(\frac{2\pi n}{l}x\bigr).\label{eq-4.2.18}
\end{align}
Alternatively, as all eigenvalues but $0$ have multiplicity $2$ one can select \begin{align}
& \lambda\_n=\bigl(\frac{2\pi n}{l}\bigr)^2,&&n=\ldots, -2,-1,0, 1,2,\ldots
\label{eq-4.2.19}\\\\[3pt]
& X\_{n}=\exp \bigl(\frac{2\pi n}{l}i x\bigr).\label{eq-4.2.20}
\end{align}
<!--\end{example}-->

**[Example 5.](id:example-4.2.5)**
(quasiperiodic). Consider eigenvalue problem
\begin{align}
& X'' +\lambda X=0 && 0\< x\< l,\label{eq-4.2.21}\\\\[3pt]
& X(0)=e^{-ikl}X(l), \quad X'(0)=X'(l)e^{-ikl}X(l)\label{eq-4.2.22}
\end{align}
with $0\< k\<\frac{2\pi}{l}$ has eigenvalues and corresponding eigenfunctions \begin{align}
& \lambda\_{n}=\bigl(\frac{2\pi n}{l}+k \bigr)^2,&& n=0,2,4,\ldots
\label{eq-4.2.23}\\\\[3pt]
& X\_{n}=\exp \bigl(\bigl[\frac{2\pi n}{l}+k\bigr]i x\bigr), \label{eq-4.2.24}\\\\[3pt]
& \lambda\_{n}=\bigl(\frac{2\pi (n+1)}{l}-k \bigr)^2,&& n=1,3,5,\ldots \label{eq-4.2.25}\\\\[3pt]
& X\_{n}=\exp \bigl(\bigl[\frac{2\pi (n+1)}{l}-k\bigr]i x\bigr). \label{eq-4.2.26}
\end{align}
This is the simplest example of problems appearing in the description of free electrons in the crystals; much more complicated and realistic example would be Schrödinger equation
\begin{equation\*}
X'' +\bigl(\lambda-V(x)\bigr)X=0
\end{equation\*}
or its $3D$-analog.
<!--\end{example}-->

###[Problems with "almost" explicit solutions](id:sect-4.2.2)

**[Example 6.](id:example-4.2.6)**
(Robin boundary conditions). Consider eignevalue problem
\begin{align}
& X'' +\lambda X=0 && 0\< x\< l,\label{eq-4.2.27}\\\\[3pt]
& X'(0)=\alpha
X(0), \quad X'(l)=-\beta X(l)\label{eq-4.2.28}
\end{align}
with $\alpha\ge 0$, $\beta\ge 0$ ($\alpha+\beta\>0$). Then
\begin{multline}
\lambda \int\_0^l X^2\,dx=-\int\_0^l X''X\,dx =\\\\
\int\_0^l X'^2\,dx-X'(l)X(l) +X'(0)X(0)=\\\\
\int\_0^l X'^2\,dx+\beta X(l)^2 +\alpha X(0)^2\qquad
\label{eq-4.2.29}
\end{multline}
and
$\lambda\_n=\omega\_n^2 $ where $\omega\_n\>0$ are roots of
\begin{align}
& \tan (\omega l)= \frac{(\alpha+\beta)\omega}{\omega^2-\alpha\beta};
\label{eq-4.2.30}\\\\
& X\_n= \omega \cos (\omega\_n x) +\alpha \sin (\omega\_n x);\label{eq-4.2.31}
\end{align}
($n=1,2,\ldots$). Observe that

a.  As $\alpha,\beta\to +0$     $\omega\_n \to \frac{\pi
    (n-1)}{l}$.
b.  As $\alpha,\beta\to +\infty $     $\omega\_n \to
    \frac{\pi n}{l}$.
c.  As $\alpha\to +0,\beta\to +\infty$     $\omega\_n \to
    \frac{\pi (n-\frac{1}{2})}{l}$.
<!--\end{example}-->

**[Example 7.](id:example-4.2.7)**
(Robin boundary conditions (continued)). However if $\alpha $ and/or $\beta$ are negative, one or two negative eigenvalues $\lambda=-\gamma^2$ *can* also appear where
\begin{align}
& \tanh (\gamma l )= {-\frac{(\alpha + \beta)\gamma }{\gamma ^2 + \alpha\beta}},
\label{eq-4.2.32}\\\\
& X(x) = \gamma \cosh (\gamma x) + \alpha \sinh (\gamma x).
\label{eq-4.2.33}
\end{align}

To investigate when it happens, consider the threshold case of eigenvalue $\lambda=0$: then $X=cx+d$ and plugging into b.c. we have $c=\alpha d$ and $c=-\beta (d+lc)$; this system has non-trivial solution $(c,d)\ne 0$ iff $\alpha+\beta+\alpha\beta l =0$. This hyperbola divides $(\alpha,\beta)$-plane into three zones:

->![image](./F4.2-1.svg)<-

To calculate the number of negative eigenvalues one can either apply
the general variational principle or analyze the case of $\alpha=\beta$; for both approaches see  [Appendix 4.A](./S4.A.html).

_____________

[$\Leftarrow$](./S4.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Downarrow$](./S4.A.html)&nbsp;&nbsp;[$\Rightarrow$](./S4.3.html)
