<link href="../markdown.css" rel="stylesheet"></link>

<title>4.5. Other Fourier series</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


##[4.5. Other Fourier series](id:sect-4.5)

> 1.  [Fourier series for even and odd functions](#sect-4.5.1)
> 2.  [$\cos$-Fourier series](#sect-4.5.2)
> 3.  [$\sin$-Fourier series](#sect-4.5.3)
> 4.  [$\sin$-Fourier series with half-integers](#sect-4.5.4)
> 5.  [Fourier series in complex form](#sect-4.5.5)
> 6.  [Miscellaneous](#sect-4.5.6)

###[Fourier series for even and odd functions]id:sect-4.5.1)

In the previous [Section 4.4](./S4.4.html) we proved the completeness of the system of functions
\begin{equation}
\Bigl\\{\frac{1}{2},\qquad
\cos (\frac{\pi nx}{l}), \qquad \sin (\frac{\pi nx}{l}) \quad
n=1,\ldots\Bigr\\}
\label{eq-4.5.1}
\end{equation}
on interval $J:=[x\_0,x\_1]$ with $(x\_1-x\_0)=2l$. In other words we proved
that any function $f(x)$ on this interval could be decomposed into
Fourier series
\begin{equation}
f(x)= \frac{1}{2}a\_0 + \sum\_{n=1}^\infty
\bigl( a\_n\cos (\frac{\pi nx}{l})+b\_n \sin (\frac{\pi nx}{l}) \bigr)
\label{eq-4.5.2}
\end{equation}
with coefficients calculated according to ([4.3.7](./S4.3.html#mjx-eqn-eq-4.3.7))
\begin{align}
a\_n=& \frac{1}{l}\int\_J f(x)\cos (\frac{\pi nx}{l})\,dx \qquad n=0,1,2,\ldots,
\label{eq-4.5.3}\\\\
b\_n= & \frac{1}{l}\int\_J f(x)\sin (\frac{\pi nx}{l})\,dx \qquad
n=1,2,\ldots,
\label{eq-4.5.4}
\end{align}
and satisfying Parseval's equality
\begin{equation}
\frac{l}{2}|a\_0|^2 +
\sum\_{n=1}^\infty l\bigl( |a\_n|^2+|b\_n |^2 \bigr)=\int\_J |f(x)|^2\,dx.
\label{eq-4.5.5}
\end{equation}

Now we consider some other orthogonal systems and prove their completeness. To do this we first prove

**[Lemma 1.](id:lemma-4.5.1)** Let $J$ be a symmetric interval: $J=[-l,l]$. Then

a.  $f(x)$ is even iff $b\_n=0$     $\forall n=1,2,\ldots$.
b.  $f(x)$ is odd iff $a\_n=0$     $\forall n=0,1,2,\ldots$.
<!--\end{lemma}-->

*Proof.* (a) Note that $\cos (\frac{\pi nx}{l})$ are even functions and
$\sin (\frac{\pi nx}{l})$ are odd functions. Therefore if $b\_n=0$     $\forall n=1,2,\ldots$ then only decomposition (\ref{eq-4.5.2}) contains only even functions and $f(x)$ is even. Conversely, if $f(x)$ is an even function then integrand in (\ref{eq-4.5.4}) is an odd function and its integral over symmetric
interval is $0$.

(b) Statement (b) is proven in the similar way.
<!--\end{proof}-->

###[$\cos$-Fourier series](id:sect-4.5.2)

Let us consider function $f(x)$ on the interval $[0,l]$. Let us extend it as an even function on $[-l,l]$ so $f(x):=f(-x)$ for $x\in [-l,0]$ and decompose it into full Fourier series (\ref{eq-4.5.2}); however $\sin$-terms disappear and we arrive to decomposition
\begin{equation}
f(x)= \frac{1}{2}a\_0 + \sum\_{n=1}^\infty a\_n\cos (\frac{\pi nx}{l}). \label{eq-4.5.6}
\end{equation}
This is decomposition with respect to orthogonal system
\begin{equation}
\Bigl\\{\frac{1}{2},\qquad \cos (\frac{\pi nx}{l}) \quad n=1,\ldots\Bigr\\}. \label{eq-4.5.7}
\end{equation}

Its coefficients are calculated according to (\ref{eq-4.5.3}) but here integrands are even functions and we can take interval $[0,l]$ instead of $[-l,l]$ and double integrals:
\begin{equation}
a\_n= \frac{2}{l}\int\_0^l f(x)\cos (\frac{\pi nx}{l})\,dx \qquad
n=0,1,2,\ldots
\label{eq-4.5.8}
\end{equation}
Also (\ref{eq-4.5.5}) becomes
\begin{equation}
\frac{l}{4}|a\_0|^2 +\sum\_{n=1}^\infty \frac{l}{2} |a\_n|^2=
 \int\_0^l |f(x)|^2\,dx.
 \label{eq-4.5.9}
\end{equation}

The sum of this Fourier series is $2l$-periodic. Note that even and
then periodic continuation does not introduce new jumps.

->![image](./F4.5-1.svg)<-

###[$\sin$-Fourier series](id:sect-4.5.3)

Let us consider function $f(x)$ on the interval $[0,l]$. Let us extend it as an odd function on $[-l,l]$ so $f(x):=-f(-x)$ for $x\in [-l,0]$ and decompose it into full Fourier series (\ref{eq-4.5.2}); however $\cos$-terms disappear and we arrive to decomposition
\begin{equation}
f(x)= \sum\_{n=1}^\infty b\_n\sin (\frac{\pi nx}{l}).
\label{eq-4.5.10}
\end{equation}
This is decomposition with respect to orthogonal system
\begin{equation}
\Bigl\\{ \sin (\frac{\pi nx}{l}) \quad n=1,\ldots\Bigr\\}.
\label{eq-4.5.11}
\end{equation}

Its coefficients are calculated according to (\ref{eq-4.5.4}) but here integrands are even functions and we can take interval $[0,l]$ instead of $[-l,l]$ and double integrals:
\begin{equation}
b\_n= \frac{2}{l}\int\_0^l f(x)\sin (\frac{\pi nx}{l})\,dx \qquad
n=1,2,\ldots
\label{eq-4.5.12}
\end{equation}
Also (\ref{eq-4.5.5}) becomes
\begin{equation}
\sum\_{n=1}^\infty \frac{l}{2} |b\_n|^2= \int\_0^l |f(x)|^2\,dx. \label{eq-4.5.13}
\end{equation}

The sum of this Fourier series is $2l$-periodic. Note that odd and then periodic continuation does not introduce new jumps iff $f(0)=f(l)=0$.

->![image](./F4.5-2.svg)<-

->![image](./F4.5-3.svg)<-

###[$\sin$-Fourier series with half-integers](id:sect-4.5.4)

Let us consider function $f(x)$ on the interval $[0,l]$. Let us
extend it as an even with respect to $x=l$ function on $[0,2l]$ so
$f(x):=f(2l-x)$ for $x\in [l,2l]$; then we make an odd continuation
to $[-2l,2l]$ and decompose it into full Fourier series (\ref{eq-4.5.2})
but with $l$ replaced by $2l$; however $\cos$-terms disappear and
we arrive to decomposition \begin{equation\*} f(x)=
\sum\_{n=1}^\infty b'\_n\sin (\frac{\pi nx}{2l}).
\end{equation\*}

Then
$f(2l-x)= \sum\_{n=1}^\infty b'\_n\sin (\frac{\pi nx}{2l})(-1)^{n+1}$ and since $f(x)=f(2l-x)$ due to original even continuation we conclude that $b'\_n=0$ as $n=2m$ and we arrive to
\begin{equation}
f(x)= \sum\_{n=0}^\infty b\_n\sin (\frac{\pi(2n+1)x}{2l})
\label{eq-4.5.14} \end{equation} with $b\_n:=b'\_{2n+1}$
where we replaced $m$ by $n$.

This is decomposition with respect to orthogonal system
\begin{equation}
\Bigl\\{ \sin (\frac{\pi (2n+1)x}{2l}) \quad n=1,\ldots\Bigr\\}. \label{eq-4.5.15}
\end{equation}

Its coefficients are calculated according to (\ref{eq-4.5.12}) (with $l$ replaced by $2l$) but here we can take interval $[0,l]$ instead of $[0,2l]$ and double integrals:
\begin{equation}
b\_n=
\frac{2}{l}\int\_0^l f(x)\sin (\frac{\pi (2n+1)x}{2l})\,dx
\qquad n=0,2,\ldots
\label{eq-4.5.16}
\end{equation}
Also (\ref{eq-4.5.13}) becomes
\begin{equation}
\sum\_{n=0}^\infty \frac{l}{2} |b\_n|^2= \int\_0^l |f(x)|^2\,dx. \label{eq-4.5.17}
\end{equation}

The sum of this Fourier series is $4l$-periodic. Note that odd and then periodic continuation does not introduce new jumps iff $f(0)=0$.

->![image](./F4.5-4.svg)<-

->![image](./F4.5-5.svg)<-

###[Fourier series in complex form](id:sect-4.5.5)

Consider (\ref{eq-4.5.2})--(\ref{eq-4.5.5}). Plugging
\begin{align\*}
&\cos(\frac{\pi n x}{l})=
\frac{1}{2}e^{\frac{i\pi n x}{l}}+\frac{1}{2}e^{-\frac{i\pi n x}{l}}\\\\ &\sin(\frac{\pi n x}{l})=
\frac{1}{2i}e^{\frac{i\pi n x}{l}}-\frac{1}{2i}e^{-\frac{i\pi n x}{l}} \end{align\*}
and separating terms with $n$ and $-n$ and replacing in the latter $-n$ by $n=-1,-2,\ldots$ we get
\begin{equation}
f(x)= \sum\_{n=-\infty}^\infty c\_n e^{\frac{i\pi nx}{l}}
\label{eq-4.5.18}
\end{equation}
with $c\_0=\frac{1}{2}a\_0$, $c\_n = \frac{1}{2}(a\_n -i b\_n)$ as $n=1,2,\ldots$ and $c\_n = \frac{1}{2}(a\_{-n} +i b\_{-n})$ as $n=-1,-2,\ldots$ which could be written as
\begin{equation}
c\_n= \frac{1}{2l}\int\_J f(x)e^{-\frac{i\pi n x}{l}}\,dx \qquad
n=\ldots,-2, -1, 0,1,2,\ldots.
\label{eq-4.5.19}
\end{equation}
Parseval's equality becomes
\begin{equation}
2l\sum\_{n=-\infty}^\infty |c\_n|^2= \int\_J |f(x)|^2\,dx.
\label{eq-4.5.20}
\end{equation}
One can see easily that the system
\begin{equation}
\Bigl\\{X\_n:=e^{\frac{i\pi nx}{l}} \quad \ldots,-2, -1, 0,1,2,\ldots\Bigr\\} \label{eq-4.5.21}
\end{equation}
on interval $J:=[x\_0,x\_1]$ with $(x\_1-x\_0)=2l$ is orthogonal: \begin{equation}
\int\_J X\_n(x)\bar{X\_m(x)}\,dx = 2l\delta\_{mn}.
\label{eq-4.5.22}
\end{equation}

**[Remark 1.](id:remark-4.5.1)**
All our formulae are due to ([Section 4.3](./S4.3.html)) but we need the completeness of the systems and those are due to compleness of the system (\ref{eq-4.5.1}) established in [Section 4.4](./S4.4.html).
<!--\end{remark}-->

**[Remark 2.](id:remark-4.5.2)**
Recall that with periodic boundary conditions all eigenvalues
 $(\frac{\pi n }{l})^2$ are of multiplicity $2$ i.e. the corresponding *eigenspace* (consisting of all eigenfunctions with the given eigenvalue) has dimension $2$ and $\\{\cos (\frac{\pi n x}{l}), \sin (\frac{\pi n x}{l})\\}$ and $\\{e^{\frac{i\pi n x}{l}}, e^{-\frac{\pi n x}{l}}\\}$ are just two different orthogonal basises in this eigenspace.
<!--\end{remark}-->

**[Remark 3.](id:remark-4.5.3)**
Fourier series in the complex form are from $-\infty$ to $\infty$ and this means that both sums $\sum\_{n=0}^{\pm \infty} c\_n e^{\frac{i\pi nx}{l}}$ must converge which is a stronger requirement than convergence of Fourier series in the trigonometric form. For piecewise differentiable function $f$ Fourier series in the complex form converges at points where $f$ is continuous but not at jump points where such series converges *only* in the sense of principal value:
\begin{equation}
\lim_{N\to +\infty} \sum\_{n=-N}^{n=N} c\_n e^{\frac{i\pi nx}{l}}=
\frac{1}{2}\bigl( f(x+0) + f(x-0)\bigr).
\label{eq-4.5.23}
\end{equation}
<!--\end{remark}-->

###[Miscellaneous](id:sect-4.5.6)

We consider in appendices

1. [Multidimensional Fourier series](./S4.B.html)
2. [Harmonic oscillator and Hermite functions]((./S4.C.html)


______________

[$\Leftarrow$](./S4.4.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;&nbsp;&nbsp;[$\downarrow$](./S4.5.P.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter5/S5.1.html)
