<link href="../markdown.css" rel="stylesheet"></link>

<title>5.2. Properties of Fourier transform/title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$



##[5.2. Properties of Fourier transform](id:sect-5.2)
-------------------------------

> 1. [Basic properties](#sect-5.2.1)
> 2. [Convolution](#sect-5.2.2)
> 3. [Examples](#sect-5.2.3)
> 4. [Poisson summation formula](#sect-5.2.4)


###[Basic properties](id:sect-5.2.1)

In the previous [Section 5.1](./S5.1.html) we introduced Fourier transform
and Inverse Fourier transform
\begin{align}
& \hat{f}( k )=
\frac{\kappa}{2\pi}\int\_{-\infty}^\infty f(x)e^{-i k  x}\,dx \tag{FT}\\\\
& \check{F}(x)= \frac{1}{\kappa}
\int\_{-\infty}^\infty F( k ) e^{i k  x}\,d  k
\tag{IFT}
\end{align}
with $\kappa=1$ (but here we will be a bit more flexible):

**[Theorem 1.](id:thm-5.2.1)**
$F= \hat{f} \iff f=\check{F}$.
(Already "proved")
<!--\end{theorem}-->

**[Theorem 2.](id:thm-5.2.2)**

a.  Fourier transform: $f\mapsto \hat{f}$ is a linear operator
    $L^2(\mathbb{R},\mathbb{C})\to L^2(\mathbb{R},\mathbb{C})$;
b.  Inverse Fourier transform: $F\mapsto \check{F}$ is an inverse
    operator (and also a linear operator)
    $L^2(\mathbb{R},\mathbb{C})\to L^2(\mathbb{R},\mathbb{C})$;
c.  If $\kappa=\frac{1}{\sqrt{2\pi}}$ these operators are
    *unitary* i.e. preserve norm and an inner product:
    \begin{gather}
    \\|f\\|=\Bigl(\int\_{\mathbb{R}} |f(x)|^2\,dx\Bigr)^{\frac{1}{2}},
    \label{eq-5.2.1}\\\\[5pt]
    (f,g)=
    \int\_{\mathbb{R}} f(x)\bar{g}(x)\,dx.
    \label{eq-5.2.2}
    \end{gather}
<!--\end{theorem}-->

*Proof.* Easy. Preservation of inner product follows from preservation of norm.
<!--\end{proof}-->

**[Remark 1.](id:remark-5.2.1)**

a.  Here $L^2(\mathbb{R},\mathbb{C})$ is a space of square
    integrable complexample-valued functions. Accurate definition requires a
    measure theory (studied in the course of Real Analysis).
    Alternatively one can introduce this space as a closure of the set
    of square integrable continuous functions but it also require a
    certain knowledge of Real Analysis.
b.  Properties (a) and (b) are obvious and (c) is due to Plancherel's
    theorem.
c.  In Quantum Mechanics Fourier transform is sometimes referred as
    "going to $p$-representation" (aka momentum representation) and
    Inverse Fourier transform is sometimes referred as
    "going to $q$-representation" (aka coordinate representation). In this
    case $\pm i k  x$ is replaced by $\pm i\hbar^{-1} k  x$ and $2\pi$ by
    $2\pi\hbar$.
<!--\end{remark}-->

**[Theorem 3.](id:thm-5.2.3)**

a.  $g(x)=f(x-a)\implies \hat{g}( k )=e^{-i k  a}\hat{f}( k )$;

b.  $g(x)=f(x)e^{ibx}\implies \hat{g}( k )=\hat{f}( k -b)$;

c.  $g(x)=f'(x) \implies \hat{g}( k )=i k  \hat{f}( k )$;

d.  $g(x)=xf (x) \implies \hat{g}( k )=i \hat{f}{}'( k )$;

e.  $g(x)=f(\lambda x)\implies \hat{g}( k )=|\lambda|^{-1}
	\hat{f}(\lambda^{-1} k )$;
<!--\end{theorem}-->

*Proof.* Here for brevity we do not write that all integrals are over
$\mathbb{R}$ and set $\kappa=2\pi$.

a.  $\hat{g}=\int e^{-i k  x}g(x)\,dx = \int e^{-i  k  x}f(x-a)\,dx=
	\int e^{-i k (x+a)}f(x)\,dx= e^{-i k  a}\hat{f}( k )$.
	We replaced $x$ by $(x+a)$ in the  integral.

b.  $\hat{g}=\int e^{-i  k  x}g(x)\,dx = \int e^{-i k  x}e^{ibx}f(x)\,dx=
	\int e^{-i ( k -b)x}f(x)\,dx= \hat{f}( k -b)$.

c.  $\hat{g}=\int e^{-i  k  x}g(x)\,dx = \int e^{-i k  x}f'(x)\,dx
	\overset{\text{by parts}}= \int \bigl(e^{-i   k  x}\bigr)'f(x)\,dx=
	i k  \hat{f}( k )$.

d.  $\hat{g}=\int e^{-i  k  x}g(x)\,dx = \int e^{-i k  x}xf(x)\,dx=
	\int i\partial\_ k  \bigl(e^{-i  k  x}\bigr) \, f(x)\,dx=
	i\hat{f}{}'( k )$.

e.  $\hat{g}=\int e^{-i k  x}g(x)\,dx = \int e^{-i  k  x}f(\lambda x )\,dx
    = \int e^{-i k  |\lambda|^{-1}x}f(x)\,\lambda^{-1}dx=
    \lambda^{-1}\hat{f}(\lambda^{-1} k )$. Here we replaced $x$ by
    $\lambda^{-1}x$ in the integral and $|\lambda|^{-1}$ is an absolute value of
    Jacobian.
<!--\end{proof}-->

**[Corollary 1.](id:corollary-5.2.1)**
$f$ is even (odd) iff $\hat{f}$ is even (odd).
<!--\end{corollary}-->

###[Convolution](id:sect-5.2.2)

**[Definition 1.](id:definition-5.2.1)**
*Convolution* of functions $f$ and $g$ is a function $f\*g$:
\begin{equation}
(f\*g)(x):=\int f(x-y)g(y)\,dy.
\label{eq-5.2.3}
\end{equation}
<!--\end{definition}-->

**[Theorem 4.](id:thm-5.2.4)**

a.  $h=f\*g\implies
    \hat{h}( k )=\frac{2\pi}{\kappa}\hat{f}( k )\hat{g}( k )$;

b.  $h(x)=f(x)g(x)$ $\implies \hat{h}=\kappa \hat{f}\*\hat{g}$;
<!--\end{theorem}-->

*Proof.*

a.  \begin{equation\*}
	\hat{h}(x)=\frac{\kappa}{2\pi} \int e^{-ix k }h(x)\,dx =
	\frac{\kappa}{2\pi} \iint e^{-ix k }f(x-y)g(y)\,dxdy;
	\end{equation\*}
	replacing in the integral $x:=y+z$ we arrive to
	\begin{equation\*}
	\frac{\kappa}{2\pi} \iint e^{-i(y+z) k }f(z)g(y)\,dzdy=
	\frac{\kappa}{2\pi} \int  e^{-iz k }f(z)\,dz \times
	\int e^{-iy k }g(y)\,dz
	\end{equation\*}
    which is equal to
    $\frac{2\pi}{\kappa}\hat{f}( k )\hat{g}( k )$.

b.  Similarly $\hat{f}\*\hat{g}$ is a Fourier transform of
    $\frac{\kappa\_1}{2\pi}fg$ where
    $\kappa\_1=\frac{2\pi}{\kappa}$.
<!--\end{proof}-->

###[Examples](id:sect-5.2.3)

**[Example 1.](id:example-5.2.1)**
Let $f(x)=e^{-\alpha x}$ as $x\>0$ and $f(x)=0$
as $x\<0$. Here $\\Re \alpha\>0$.
\begin{equation\*}
\hat{f}( k )= \int\_0^\infty e^{-(\alpha +i k  )x}\,dx =
-(\alpha +i k  )^{-1}e^{-(\alpha +i k  )x}\bigr|\_{x=0}^{x=\infty}= (\alpha +i k  )^{-1}
\end{equation\*}
 provided $\kappa=2\pi$.

In the general case
$\hat{f}( k )= \frac{\kappa}{2\pi}(\alpha+i k  )^{-1}$.
<!--\end{example}-->

**[Example 2.](id:example-5.2.2)**
Let $f(x)=e^{-\frac{\alpha}{2}x^2}$ with
$\Re\alpha\ge 0$. Here even for $\Re \alpha=0$ F.t. exists as
integrals are converging albeit not absolutely.

Note that $f'=\alpha x f$. Applying Fourier transform and [Theorem 3](#thm-5.2.3) (c),(d) to the left, right we get $i k  \hat{f}= -i\alpha \hat{f}'$; solving it we arrive to $\hat{f}=Ce^{-\frac{1}{2\alpha} k ^2}$.

To find $C$ note that
$C=\hat{f}(0)= \frac{\kappa}{2\pi}\int e^{-\frac{\alpha}{2}x^2}\,dx$ and for real $\alpha\>0$ we make a change of variables $x=\alpha^{-\frac{1}{2}}z$ and arrive to $C=\frac{\kappa}{\sqrt{2\pi \alpha}}$ because
$\int e^{-z^2/2}\,dz=\sqrt{2\pi}$. Therefore
\begin{equation\*}
\hat{f}( k )= \frac{\kappa}{\sqrt{2\pi\alpha}}e^{-\frac{1}{2\alpha} k ^2}.
\end{equation\*}
Knowing complex variables one can justify it for complex $\alpha $ with
$\Re\alpha\ge 0$; we take a correct branch of $\sqrt{\alpha}$ (condition $\Re\alpha\ge 0$ prevents going around origin). In
particular, $(\pm i )^{\frac{1}{2}}=e^{\pm \frac{i\pi}{4}}$ and
therefore for $\alpha=\pm i\beta $ with for $\beta\>0$ we get
$f=e^{\mp\frac{i}{2\beta }x^2}$ and
\begin{equation\*}
\hat{f}( k )=\frac{\kappa}{2\sqrt{\pi\beta}}
(1\mp i)e^{\pm\frac{i}{2\beta} k ^2x}.
\end{equation\*}
<!--\end{example}-->

###[Poisson summation formula](id:sect-5.2.4)

**[Theorem 5.](id:thm-5.2.5)**
Let $f(x)$ be a continuous function on the line $(\infty,\infty)$ which vanishes for large $|x|$. Then for any $a>0$
\begin{equation}
\sum\_{n=-\infty}^\infty f(an) =
\sum\_{n=-\infty}^\infty \frac{2\pi }{a}\hat{f}(\frac{2\pi }{a}n) .
\label{eq-5.2.4}
\end{equation}
<!--\end{theorem}-->

*Proof.*
Observe that  function
\begin{equation\*}
g(x)= \sum\_{n=-\infty}^\infty  f(x+an)
\end{equation\*}
is periodic with period $a$.
Note that the Fourier coefficients of $g(x)$ on the interval $(-\frac{a}{2}, \frac{a}{2})$ are  $b_m=\frac{2\pi}{a}\hat{f}(\frac{2\pi}{a})$, where $\hat{f}(k)$ is the Fourier transform of $f(x)$.

Finally, in the Fourier series of $g(x)$ on $(-\frac{a}{2}, \frac{a}{2})$  plug $x = 0$ to obtain $g(0)=\sum\_m b\_m$ which coincides with (\ref{eq-5.2.4}).
<!--\end{proof}-->

--------------

[$\Leftarrow$](./S5.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Downarrow$](./S5.2.A.html)&nbsp;&nbsp;[$\downarrow$](./S5.2.P.html)&nbsp;&nbsp;[$\Rightarrow$](./S5.3.html)

