<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Section 5.3</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###[Problems to Section 5.3](id:sect-3.2.P)

> 1. [Problem 1](#problem-5.3.P.1)
> 2. [Problem 2](#problem-5.3.P.2)
> 3. [Problem 3](#problem-5.3.P.3)
> 4. [Problem 4](#problem-5.3.P.4)



**[Problem 1.](id:problem-5.3.P.1)**

a. Consider Dirichlet problem
\begin{align}
&u\_{xx}+u\_{yy}=0,\qquad -\infty<x<\infty, y>0, \\\\
&u|\_{y=0}=f(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral.

b. Consider Neumann problem
\begin{align}
&u\_{xx}+u\_{yy}=0,\qquad -\infty<x<\infty, y>0, \\\\
&u\_y|\_{y=0}=f(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral. What condition must satisfy $f$?
<!--\end{problem}-->

**[Problem 2.](id:problem-5.3.P.2)**

a. Consider Dirichlet problem
\begin{align}
&u\_{xx}+u\_{yy}=0,\qquad -\infty<x<\infty, 0<y<1, \\\\
&u|\_{y=0}=f(x),\quad u|\_{y=1}=g(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral.

b. Consider Dirichlet-Neumann problem
\begin{align}
&u\_{xx}+u\_{yy}=0,\qquad -\infty<x<\infty, 0<y<1,  \\\\
&u|\_{y=0}=f(x), \quad u\_y|\_{y=1}=g(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral.

c. Consider Neumann problem
\begin{align}
&u\_{xx}+u\_{yy}=0,\qquad -\infty<x<\infty, 0<y<1,  \\\\
&u\_y|\_{y=0}=f(x), \quad u\_y|\_{y=1}=g(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral. What condition must satisfy $f,g$?
<!--\end{problem}-->


**[Problem 3.](id:problem-5.3.P.3)**

Consider Robin problem
\begin{align}
&u\_{xx}+u\_{yy}=0,\qquad -\infty<x<\infty, y>0, \\\\
&(u\_y+\alpha u)|\_{y=0}=f(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral. What condition (if any) must satisfy $f$?

*Hint.* Consider separately $\alpha>0$ and $\alpha<0$.
<!--\end{problem}-->



**[Problem 4.](id:problem-5.3.P.4)**

a. Consider  problem
\begin{align}
&\Delta^2=0,\qquad -\infty<x<\infty, y>0, \\\\
&u|\_{y=0}=f(x),\quad &u\_y|\_{y=0}=g(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral.

b. Consider problem
\begin{align}
&\Delta^2=0,\qquad -\infty<x<\infty, y>0, \\\\
&u\_{yy}|\_{y=0}=f(x),\quad &\Delta u\_{y}|\_{y=0}=g(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral. What condition must satisfy $f,g$?


<!--\end{problem}-->


________________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S5.3.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter6/S6.1.html)
