<link href="../markdown.css" rel="stylesheet"></link>

<title>5.3. Applications of Fourier transform to PDEs</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


##[5.3. Applications of Fourier transform to PDEs](id:sect-5.3)
-----------------------------------------

> 1.  [Heat equation](#sect-5.3.1)
> 2.  [Schrödinger equation](#sect-5.3.2)
> 3.  [Laplace equation in half-plane](#sect-5.3.3)
> 4.  [Laplace equation in half-plane. II](#sect-5.3.4)
> 5.  [Laplace equation in strip](#sect-5.3.5)
> 6.  [1D wave equation](#sect-5.3.6)
> 7.  [Multidimensional equations](#sect-5.3.7)

In the previous [Section 5.1](./S5.1.html) and [Section 5.2](./S5.2.html) we introduced Fourier transform and Inverse Fourier transform and established some of its properties; we also calculated some Fourier transforms. Now we going to apply to PDEs.

###[Heat equation](id:sect-5.3.1)

Consider problem
\begin{align}
& u\_t= k u\_{xx},&& t\>0,\ -\infty\< x\< \infty,
\label{eq-5.3.1}\\\\[3pt]
&u|\_{t=0}=g(x).\label{eq-5.3.2}
\end{align}
Making partial Fourier transform with respect to $x\mapsto\xi$ (so $u(x,t)\mapsto \hat{u}(\xi,t)$) we arrive to
\begin{align}
& \hat{u}\_t= -k\xi^2 \hat{u},\label{eq-5.3.3}\\\\[3pt]
& \hat{u}|\_{t=0}=\hat{g}(\xi).\label{eq-5.3.4}
\end{align}
Indeed,  $\partial\_x \mapsto i\xi$ and therefore
$\partial^2\_x \mapsto -\xi^2$.

Note that (\ref{eq-5.3.3}) is an ODE and solving it we arrive to
$\hat{u}=A(\xi)e^{-k\xi^2t}$; plugging into (\ref{eq-5.3.4}) we find
that $A(\xi)=\hat{g}(\xi)$ and therefore
\begin{equation}
\hat{u}(\xi,t)= \hat{g}(\xi)e^{-k\xi^2t}.
\label{eq-5.3.5}
\end{equation}
The right-hand expression is a product of two Fourier transforms, one is $\hat{g}(\xi)$ and another is Fourier transform of IFT of $e^{-k\xi^2t}$ (reverse engineering?).

If we had $e^{-\xi^2/2}$ we would have IFT equal to $\sqrt{2\pi}e^{-x^2/2}$; but we can get from $e^{-\xi^2/2}$ to $e^{-k\xi^2t}$ by scaling
$\xi \mapsto (2kt)^{\frac{1}{2}}\xi $ and therefore
$x \mapsto (2kt)^{-\frac{1}{2}}x$ (and we need to multiply the result by by
$(2kt)^{-\frac{1}{2}}$); therefore $e^{-k\xi^2t}$ is a Fourier transform of $\frac{\sqrt{2\pi}}{\sqrt{2kt}}e^{-x^2/4kt}$.

Again: $\hat{u}(\xi,t)$ is a product of FT of $g$ and of
$\frac{\sqrt{2\pi}}{\sqrt{2kt}}e^{-x^2/4kt}$ and therefore $u$
is the convolution of these functions (multiplied by $1/(2\pi)$):
\begin{equation}
u(x,t) = g\* \frac{1}{\sqrt{4\pi kt}}e^{-\frac{x^2}{4kt}}=
\frac{1}{\sqrt{4\pi kt}}\int \_{-\infty}^\infty g(x') e^{-\frac{(x-x')^2}{4kt}}\,dx'.
\label{eq-5.3.6}
\end{equation}
We recovered formula which we had already.

**[Remark 1.](id:remark-5.3.1)**
Formula (\ref{eq-5.3.5}) shows that the problem is really ill-posed for $t\<0$.
<!--\end{remark}-->

###[Schrödinger equation](id:sect-5.3.2)

Consider problem
\begin{align}
& u\_t= i ku\_{xx},&& t\>0,\ -\infty\< x\<\infty,
\label{eq-5.3.7}\\\\[3pt]
& u|\_{t=0}=g(x).\label{eq-5.3.8}
\end{align}
Making partial Fourier transform with respect to $x\mapsto\xi$ (so $u(x,t)\mapsto \hat{u}(\xi,t)$) we arrive to
\begin{align} & \hat{u}\_t= -ik\xi^2 \hat{u},\label{eq-5.3.9}\\\\[3pt]
& \hat{u}|\_{t=0}=\hat{g}(\xi).\label{eq-5.3.10}
\end{align}

Note that (\ref{eq-5.3.9}) is an ODE and solving it we arrive to
$\hat{u}=A(\xi)e^{-ik\xi^2t}$; plugging into (\ref{eq-5.3.10}) we
find that $A(\xi)=\hat{g}(\xi)$ and therefore
\begin{equation}
\hat{u}(\xi,t)= \hat{g}(\xi)e^{-ik\xi^2t}.
\label{eq-5.3.11}
\end{equation}
The right-hand expression is a product of two Fourier transforms, one is $\hat{g}(\xi)$ and another is Fourier transform of IFT of $e^{-ik\xi^2t}$ (reverse engineering?).

As it was explained in [Section 5.2](./S5.2.html) that we need just to plug $-ik$ instead of $k$ (as $t\>0$) into the formulae we got before; so instead of $\frac{1}{\sqrt{4\pi kt}}e^{-\frac{x^2}{4kt}}$ we get
$\frac{1}{\sqrt{-4\pi ki t}}e^{-\frac{x^2}{-4kit}}=
\frac{1}{\sqrt{4\pi k t}}e^{\frac{\pi i}{4}-\frac{i x^2}{4kt}}$
because we need to take a correct branch of $\sqrt{-i}=e^{-\frac{i\pi}{4}}$. As $t\<0$ we need to replace $t$ by $-t$ and $i$ by $-i$ resulting in
$\frac{1}{\sqrt{4\pi k |t|}}e^{-\frac{\pi i}{4}-\frac{i x^2}{4kt}}$.

Therefore
\begin{equation}
u(x,t) = \frac{1}{\sqrt{4\pi k|t|}}\int \_{-\infty}^\infty g(x') e^{\pm
\frac{i\pi}{4}-\frac{i(x-x')^2}{4kt}}\,dx '
\label{eq-5.3.12}
\end{equation}
as $\pm t\>0$.

**[Remark 2.](id:remark-5.3.2)**
Formula (\ref{eq-5.3.11}) shows that the problem is well-posed
for both $t\>0$ and $t\<0$.
<!--\end{remark}-->

###[Laplace equation in half-plane](id:sect-5.3.3)

Consider problem
\begin{align}
& \Delta u:=u\_{xx}+u\_{yy}=0,&& y\>0,\ -\infty\< x\<\infty,
\label{eq-5.3.13}\\\\[3pt]
& u|\_{y=0}=g(x).\label{eq-5.3.14}
\end{align}
This problem definitely is not uniquely solvable (f.e. $u=y$ satisfies homogeneous boundary condition) and to make it uniquely solvable we need to add condition $|u|\le M$.

Making partial Fourier transform with respect to $x\mapsto\xi$ (so
$u(x,t)\mapsto \hat{u}(\xi,t)$) we arrive to
\begin{align}
& \hat{u}\_{yy}-\xi^2 \hat{u}=0,\label{eq-5.3.15}\\\\[3pt]
& \hat{u}|\_{y=0}=\hat{g}(\xi).\label{eq-5.3.16}
\end{align}

Note that (\ref{eq-5.3.15}) is an ODE and solving it we arrive to
\begin{equation}
\hat{u}(\xi,y)=A(\xi)e^{-|\xi|y}+B(\xi)e^{|\xi|y}.
\label{eq-5.3.17}\end{equation}
Indeed, characteristic equation $\alpha^2 -\xi^2$ has two roots $\alpha\_{1,2}=\pm |\xi|$; we take $\pm |\xi|$ instead of just $\pm \xi$ because we need to control signs.

We discard the second term in the right-hand expression of (\ref{eq-5.3.17}) because it is unbounded. However if we had Cauchy problem (i.e. $u|\_{y=0}=g(x)$, $u\_y|\_{y=0}=h(x)$) we would not be able to
do this and this problem will be ill-posed.

So, $\hat{u}=A(\xi)e^{-|\xi|y}$ and (\ref{eq-5.3.16}) yields $A(\xi)=\hat{g}(\xi)$:
\begin{equation}
\hat{u}(\xi,y)=\hat{g}(\xi) e^{-|\xi|y}.
\label{eq-5.3.18}
\end{equation}
Now we need to find the IFT of $e^{-|\xi|y}$. This calculations are easy (do them!) and IFT is $2y (x^2+y^2)^{-1}$. Then

\begin{equation}
u(x,y) =\frac{1}{\pi}\int \_{-\infty}^\infty g(x') \frac{y}{(x-x')^2+y^2}\,dx '. \label{eq-5.3.19}
\end{equation}

**[Remark 3.](id:remark-5.3.3)**
Setting $y=0$ we see that $u|\_{y=0}=0$. Contradiction?--No, we cannot just set $y=0$. We need to find a limit as $y\to +0$, and note that $\frac{y}{(x-x')^2+y^2}\to 0$ except as $x'=x$ and $\frac{1}{\pi}\int\_{-\infty}^\infty \frac{y}{(x-x')^2+y^2}\,dx'=1$ so the limit will be $g(x)$ as it should be.
<!--\end{remark}-->

###[Laplace equation in half-plane. II](id:sect-5.3.4)

Replace Dirichlet boundary condition by Robin boundary condition
\begin{align}
& \Delta u:=u\_{xx}+u\_{yy}=0,&& y\>0,\\ -\infty\< x\<\infty,\tag{\ref{eq-5.3.13}}\\\\[3pt]
& (u\_y-\alpha u)|\_{y=0}=h(x). \label{eq-5.3.20}
\end{align}
Then (\ref{eq-5.3.16}) should be replaced by
\begin{equation}
(\hat{u}\_y-\alpha \hat{u})|\_{y=0}=\hat{h}(\xi). \label{eq-5.3.21}
\end{equation}
and then
\begin{equation}
A(\xi)= -(|\xi|+\alpha)^{-1}\hat{h}(\xi) \label{eq-5.3.22}
\end{equation}
and
\begin{equation}
\hat{u}(\xi,y)=-\hat{h}(\xi)(|\xi|+\alpha)^{-1} e^{-|\xi|y}.
\label{eq-5.3.23}
\end{equation}
The right-hand expression is a nice function provided $\alpha\>0$ (and this is correct from the physical point of view) and therefore everything is fine (but we just cannot calculate explicitely IFT of $(|\xi|+\alpha)^{-1} e^{-|\xi|y}$).

Consider Neumann boundary condition i.e. set $\alpha=0$. Then we have a trouble:
$-\hat{h}(\xi)(|\xi|+\alpha)^{-1} e^{-|\xi|y}$ could be singular at $\xi=0$ and to avoid it we assume that $\hat{h}(0)=0$. This means exactly that \begin{equation}
\int\_{-\infty}^\infty h(x)\,dx=0
\label{eq-5.3.24}
\end{equation}
and this condition we really need and it is justified from the physical point of view: f.e. if we are looking for stationary heat distribution and we have heat flow defined, we need to assume that the total flow is $0$ (otherwise the will be no stationary distribution!).

So we need to calculate IFT of $-|xi|^{-1}e^{-|\xi|y}$. Note that derivative of this with respect to $y$ is $e^{-|\xi|y}$ which has an IFT $\frac{1}{\pi}\frac{y}{x^2+y^2}$; integrating with respect to $y$ we get $\frac{1}{2\pi}\log (x^2+y^2)+c$ and therefore
\begin{equation}
u(x,y) =
\frac{1}{2\pi}\int\_{-\infty}^\infty h(x') \log\bigl((x-x')^2+y^2\bigr)\,dx '+C.
\label{eq-5.3.25}
\end{equation}

**[Remark 4.](id:remark-5.3.4)**

a.  Here $C$ is an arbitrary constant. Again, the same physical
    interpretation: knowing heat flow we define solution up to a
    constant as the total heat energy is arbitrary.
b.  Formula (\ref{eq-5.3.25}) gives us a solution which can grow as
    $|x|\to \infty$ even if $h$ is fast decaying there (or even if
    $h(x)=0$ as $|x|\ge c$). However as $|x|\gg 1$ and $h$ is
    fast decaying $\bigl((x-x')^2+y^2\bigr)\approx \bigl(x^2+y^2\bigr)$
    (with a small error) and growing part of $u$ is
    $\frac{1}{2\pi}\log \bigl(x^2+y^2\bigr)\int \_{-\infty}^\infty h(x') \,dx '$
     which is $0$ precisely because of condition (\ref{eq-5.3.24}).
<!--\end{remark}-->

###[Laplace equation in strip](id:sect-5.3.5)

Consider problem
\begin{align}
& \Delta u:=u\_{xx}+u\_{yy}=0,&& 0\< y\< b,\  -\infty\< x\<\infty,
\label{eq-5.3.26}\\\\[3pt]
&u|\_{y=0}=g(x),\label{eq-5.3.27}\\\\[3pt]
&u|\_{y=b}=h(x)\label{eq-5.3.28}.
\end{align}
Then we get (\ref{eq-5.3.17}) again
\begin{equation}
\hat{u}(\xi,y)=A(\xi)e^{-|\xi|y}+B(\xi)e^{|\xi|y} \tag{\ref{eq-5.3.17}}
\end{equation} but with two boundary condition we cannot diacard anything; we get instead
\begin{align}
& A(\xi) && + B (\xi)&& =\hat{g}(\xi),\label{eq-5.3.29}\\\\[3pt]
& A (\xi)e^{-|\xi|b} && + B (\xi)e^{|\xi|b}&& =\hat{h}(\xi)\label{eq-5.3.30} \end{align}
which implies
\begin{align\*} & A(\xi)= \frac{e^{|\xi|b}}{2\sinh (|\xi|b)}\hat{g}(\xi)-
\frac{1}{2\sinh (|\xi|b)}\hat{h}(\xi) ,\\\\[3pt]
& B(\xi)= -\frac{e^{-|\xi|b}}{2\sinh (|\xi|b)}\hat{g}(\xi)+
\frac{1}{2\sinh (|\xi|b)}\hat{h}(\xi)
\end{align\*}
and therefore
\begin{equation}
\hat{u}(\xi,y)=\frac{\sinh (|\xi|(b-y))}{\sinh (|\xi|b)}\hat{g}(\xi)+ \frac{\sinh (|\xi|y)}{\sinh (|\xi|b)}\hat{h}(\xi).
\label{eq-5.3.31}
\end{equation}
One can see easily that $\frac{\sinh (|\xi|(b-y))}{\sinh (|\xi|b)}$ and $\frac{\sinh (|\xi|y)}{\sinh (|\xi|b)}$ are bounded as $0\le y\le b$ and fast
decaying as $|\xi|\to \infty$ as $y\ge \epsilon$ ($y\le
b-\epsilon$ respectively) with arbitrarily small $\epsilon\>0$.

**[Problem 1.](id:problem-5.3.1)**
Investigate other boundary conditions (Robin, Neumann, mixed--Dirichlet at $y=0$ and Neumann at $y=b$ and so on.).
<!--\end{problem}-->

###[1D wave equation](id:sect-5.3.6)

Consider problem
\begin{align} & u\_{tt}= c^2u\_{xx},&&
-\infty\< x\<\infty,\label{eq-5.3.32}\\\\[3pt]
& u|\_{t=0}=g(x),\label{eq-5.3.33}\\\\[3pt]
&u\_t|\_{t=0}=h(x).
\label{eq-5.3.34}
\end{align}
Making partial Fourier transform with respect to $x\mapsto\xi$ we arrive to \begin{align}
& \hat{u}\_{tt}= -c^2\xi^2\hat{u}\_{xx},
\label{eq-5.3.35}\\\\[3pt]
& \hat{u}|\_{t=0}=\hat{g}(\xi),\label{eq-5.3.36}\\\\[3pt]
& \hat{u}\_t|\_{t=0}=\hat{h}(\xi).\label{eq-5.3.37}
\end{align}
Then characteristic equation for ODE (\ref{eq-5.3.35}) is
$\alpha^2=-c^2\xi^2$ and $\alpha\_{1,2}=\pm ic\xi$,
\begin{equation\*}
\hat{u}(\xi,t)= A(\xi)\cos (c\xi t) + B(\xi)\sin (c\xi t)
\end{equation\*}
with initial conditions implying $A(\xi)=\hat{g}(\xi)$,
$B(\xi)=1/(ci\xi)\cdot \hat{h}(\xi)$ and
\begin{equation}
\hat{u}(\xi,t)= \hat{g}(\xi)\cos (c\xi t) +
\hat{h}(\xi)\cdot \frac{1}{c\xi}\sin (c\xi t).
\label{eq-5.3.38}
\end{equation}
Rewriting $\cos (c\xi t)=\frac{1}{2}\bigl( e^{ic\xi t}+ e^{-ic\xi t}\bigr)$ and
recalling that multiplication of FT by $e^{i\xi b}$ is equivalen to to shifting original to the left by $b$ we conclude that $\hat{g}(\xi)\cos (c\xi t)$ is a Fourier transform of $\frac{1}{2}\bigl(g(x+ct)+g(x-ct)\bigr)$.

If we denote $H$ as a primitive of $h$ then
$\hat{h}(\xi)\cdot \frac{1}{c \xi} \sin (c\xi t)=
\hat{H}(\xi)\cdot \frac{1}{c} i\sin (c\xi t)$ which in virtue of the same arguments is FT of $\frac{1}{2c}\bigl(H(x+ct)-H(x-ct)\bigr)=
\frac{1}{2c}\int\_{x-ct}^{x+ct}h(x')\,dx'$.

Therefore
\begin{equation} u(x,t)=
\frac{1}{2}\bigl(g(x+ct)+g(x-ct)\bigr) +
\frac{1}{2c}\int\_{x-ct}^{x+ct}h(x')\,dx'
\label{eq-5.3.39}
\end{equation}
and we arrive again to d'Alembert formula.

###[Multidimensional equations](id:sect-5.3.7)

Multidimensional equations are treated in the same way:

####[Heat and Schrödinger equations](id:sect-5.3.7.1)
We make partial FT (with respect to spatial variables) and we get
\begin{align\*}
&\hat u(\xi,t)= \hat g(\xi) e^{-k|\xi|^2t},\\\\
&\hat u(\xi,t)= \hat g(\xi) e^{-ik|\xi|^2t}
\end{align*}
respectively where $\xi=(\xi\_1,\ldots,\xi\_n)$, $|\xi|=(\xi\_1^2+\ldots\xi\_n^2)^{\frac{1}{2}}$; in this case
$e^{-k|\xi|^2t}=\prod\_{j=1}^n e^{-k|\xi\_j|^2t}$ is a product of functions depending on different variables, so IFT will be again such product and we have IFT equal
\begin{equation\*}
\prod\_{j=1}^n\frac{1}{\sqrt{4\pi k t}} e^{-|x\_j|^2/4kt}=
(4\pi kt)^{-\frac{n}{2}}e^{-|x|^2 /4kt}
\end{equation\*}
for heat equation and similarly for Schrödinger equation and we get a solution as a multidimensional convolution. Here $x=(x\_1,\ldots,x\_n)$ and $|x|=(x\_1^2+\ldots+x\_n^2)^{\frac{1}{2}}$.

####[Wave equation](id:sect-5.3.7.2)
We do the same but now
\begin{equation\*}
\hat{u}(\xi,t)= \hat{g}(\xi)\cos (c|\xi| t) +
\hat{h}(\xi)\cdot \frac{1}{c|\xi|}\sin (c|\xi| t).
\end{equation\*}
Finding IFT is not easy.

####[Laplace equation](id:sect-5.3.7.3)
We consider it in $\mathbb{R}^{n}\times I\ni (x;y)$ with either
$I=\\{y:\, y>0\\}$  or $I=\\{y:\, 0< y< b\\}$ and again make partial FT with respect to $x$ but not $y$.

--------------

[$\Leftarrow$](./S5.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\downarrow$](./S5.3.P.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter6/S6.1.html)


