<link href="../markdown.css" rel="stylesheet"></link>

<title>7.1. General properties of Laplace equation</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

#[Chapter 7. Laplace equation](id:chapter-7)


##[7.1. General properties of Laplace equation](id:sect-7.1)

> 1.  [Existence and unicity](#sect-7.1.1)

###1.  [Existence and unicity](id:sect-7.1.1)

Consider problem
\begin{align}
& \Delta u-cu =f && \text{in }\mathcal{D}, \label{eq-7.1.1}\\\\[3pt]
& u=0 && \text{on }\ \Gamma\_- \label{eq-7.1.2}\\\\[3pt]
& \partial\_\nu u -\alpha u =0 && \text{on }\ \Gamma\_+\label{eq-7.1.3} \end{align}
where $\mathcal{D}$ is a connected bounded domain, $\Gamma$ its boundary (smooth), consisting of two non-intersecting parts $\Gamma\_-$ and $\Gamma\_+$, and $\nu$ a unit interior normal to $\Gamma$,
$\partial\_\nu u:=\nabla u\cdot \nu$ is a normal derivative of $u$, $c$ and
$\alpha$ real valued functions.

Then \begin{gather\*}
- \int\_\mathcal{D} fu\,dxdy =
-\int\_\mathcal{D} (u\Delta u-cu^2)\,dxdy\\\\[3pt]
=\int\_\mathcal{D} (|\nabla u|^2+cu^2)\,dxdy +
\int \_\Gamma u\partial\_\nu u\,ds\\\\[3pt]
=\int\_\mathcal{D} (|\nabla u|^2+cu^2)\,dxdy + \int \_{\Gamma\_+} \alpha u^2\,ds
\end{gather\*}
as we can integrate over $\Gamma\_+$. Therefore assuming that
\begin{equation}
c\ge 0,\qquad \alpha \ge 0
\label{eq-7.1.4}
\end{equation}
we conclude that $f=0\implies \nabla u=0$ and then $u=\const$ and unless \begin{equation}
c\equiv 0,\quad \alpha\equiv 0, \qquad \Gamma\_-=\emptyset \label{eq-7.1.5}
\end{equation}
we conclude that $u=0$.

So, if (\ref{eq-7.1.4}) is fulfilled but (\ref{eq-7.1.5}) fails problem
(\ref{eq-7.1.1})--(\ref{eq-7.1.3}) has no more than one solution (explain why). One can prove that the solution exists (sorry, we do not have analytic tools for this).

**[Theorem 1.](id:thm-7.1.1)**
If (\ref{eq-7.1.4}) is fulfilled but (\ref{eq-7.1.5}) fails
problem (\ref{eq-7.1.1})--(\ref{eq-7.1.3}) is uniquely solvable.
<!--\end{theorem}-->

Assume now that (\ref{eq-7.1.5}) is fulfilled. Then $u=C$ is a solution
with $f=0$. So, problem has no more than one solution modulo constant.
Also
\begin{equation\*}
\int\_\mathcal{D}f\,dxdy= \int\_\mathcal{D}\Delta u\,dxdy=
-\int\_\Gamma \partial\_\nu u \,ds
\end{equation\*}
and therefore solution of
\begin{align}
& \Delta u =f && \text{in }\ \mathcal{D},\label{eq-7.1.6}\\\\[3pt]
& \partial\_\nu u =h && \text{on }\ \Gamma\label{eq-7.1.7}
\end{align}
does not exist unless
\begin{equation}
\int\_\mathcal{D}f\,dxdy+\int\_\Gamma h \,ds=0.
\label{eq-7.1.8}
\end{equation}
One can prove that under assumption (\ref{eq-7.1.8}) the solution exists (sorry, we do not have analytic tools for this).

**[Theorem 2.](id:thm-7.1.2)** If (\ref{eq-7.1.5}) is fulfilled problem (\ref{eq-7.1.6})--(\ref{eq-7.1.7}) has a solution iff (\ref{eq-7.1.8}) is
fulfilled and this solution is unique modulo constant.
<!--\end{theorem}-->

---------------

[$\Leftarrow$](../Chapter6/S6.5.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S7.2.html)

