<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Chapter 7</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


###[Problems to Chapter 7](id:sect-7.3.P)

> 1. [Problem 1](#problem-7.P.1)
> 2. [Problem 2](#problem-7.P.2)
> 3. [Problem 3](#problem-7.P.3)
> 4. [Problem 4](#problem-7.P.4)
> 5. [Problem 5](#problem-7.P.5)
> 6. [Problem 6](#problem-7.P.6)
> 7. [Problem 7](#problem-7.P.7)
> 8. [Problem 8](#problem-7.P.8)
> 9. [Problem 9](#problem-7.P.9)


**[Problem 1.](id:problem-7.P.1)**

a.  Find the solutions that depend only on $r$ of the equation
    \begin{equation\*}
    \Delta u:=u\_{xx}+u\_{yy}=0.
    \end{equation\*}
b.  Find the solutions that depend only on $\rho$ of the equation
    \begin{equation\*}
    \Delta u:=u\_{xx}+u\_{yy}+u\_{zz}=0.
    \end{equation\*}
c.  (bonus) In $n$-dimensional case prove that if $u=u(r)$ with
    $r=(x\_1^2+x\_2^2+\ldots+x\_n^2)^{\frac{1}{2}}$ then
    \begin{equation}
    \Delta u = u\_{rr}+ \frac{n-1}{r}u\_r=0.
    \label{equ-H8.1} \end{equation}
d.  (bonus) In $n$-dimensional case prove ($n\ne 2$) that
    $u=u(r)$ satisfies Laplace equation as $x\ne 0$ iff
    $u=Ar^{2-n}+B$.
<!--\end{problem}-->

**[Problem 2.](id:problem-7.P.2)**
Using the proof of mean value theorem (see [Subsection 7.2.4](./S7.2.4.html#sect-7.2.4)) prove that if $\Delta u\ge 0$ in $B(y,r)$ then

a.  $u(y)$ does not exceed the mean value of $u$ over the sphere
    $S(y,r)$ bounding this ball:
    \begin{equation}
    u(y)\le \frac{1}{\sigma\_n r^{n-1}}\int\_{S(y,r)} u\,dS.
    \label{equ-H8.2}
    \end{equation}
b.  $u(y)$ does not exceed the mean value of $u$ over this ball $B(y,r)$: \begin{equation}
u(y)\le \frac{1}{\omega\_n   r^n}\int\_{B(y,r)} u\,dV.
\label{equ-H8.3} \end{equation}

c.  Formulate similar statements for functions satisfying $\Delta
    u\le 0$ (in the next problem we refer to them as (a)' and (b)').
<!--\end{problem}-->

**[Problem 3.](id:problem-7.P.3)**
a.  Functions having property (a) (or (b) does not matter) of the
    previous problem are called *subharmonic.*

b.  Functions having property (a)' (or (b)' does not matter) are called
    *superharmonic.*
<!--\end{problem}-->

**[Problem 4.](id:problem-7.P.4)**
a.  Using the proof of maximum principle  prove the maximum principle for
    subharmonic functions and minimum principle for superharmonic
    functions.

b.  Show that minimum principle for subharmonic functions and maximum
    principle for superharmonic functions do not hold (*Hint*: construct
    counterexamples with $f=f(r)$).

c.  Prove that if $u,v,w$ are respectively harmonic, subharmonic and
    superharmonic functions in the bounded domain $\Omega$,
    coinciding on its boundary ($u|\_\Sigma=v|\_\Sigma=w|\_\Sigma$)
    then in $w\ge u \ge v$ in $\Omega$.

<!--\end{problem}-->

**[Problem 5.](id:problem-7.P.5)**
(bonus) Using Newton shell theorem (see [Subsection 7.3.1](./S7.3.html#sect-7.3.1)) prove that if Earth was a homogeneous solid
ball then the gravity pull inside of it would be proportional to the
distance to the center.
<!--\end{problem}-->

**[Problem 6.](id:problem-7.P.6)**
Find function $u$ harmonic in $\\{x^2+y^2+z^2\le 1\\}$ and
coinciding with $g=z^3$ as $x^2+y^2+z^2=1$.

*Hint.* According to [Section 8.1](../Chapter8/S8.1.html) solution
must be a harmonic polynomial of degree $3$ and it should depend only
on $x^2+y^2+z^2$ and $z$ (Explain why). The only way to achive it
(and still coincide with $g$ on $\\{x^2+y^2+z^2=1\\}$) is to find
\begin{equation\*}
u= z^3 + az(1-x^2-y^2-z^2)
\end{equation\*}
with unknown coefficient $A$.
<!--\end{problem}-->

**[Problem 7.](id:problem-7.P.7)**
Apply method of descent described in [Subsection 9.1.4](../Chapter9/S9.1.html#sect-9.1.4) but to Laplace equation in $\mathbb{R}^2$ and starting from Coulomb potential in $3D$
\begin{equation}
U\_3(x,y,z)=-\frac{1}{4\pi} \bigl(x^2+y^2+z^2\bigr)^{-\frac{1}{2}},
\label{equ-H9.1}
\end{equation}
derive logarithmic potential in $2D$
\begin{equation}
U\_2(x,y,z)=\frac{1}{2\pi}\log \bigl(x^2+y^2\bigr)^{\frac{1}{2}},
\label{equ-H9.2}
\end{equation}
*Hint.* You will need to calculate diverging integral
$\int\_0^\infty U\_3 (x,y,z)$. Instead consider
$\int\_0^N U\_3 (x,y,z)$, subtract constant (f.e. $\int\_0^N U\_3 (1,0,z)$) and
then tend $N\to \infty$.

<!--\end{problem}-->

**[Problem 8.](id:problem-7.P.8)**
Using method of reflection (studied earlier for different equations)
construct Green function for

a.  Dirichlet problem
b.  Neumann problem

for Laplace equation in

a.  half-plane
b.  half-space

as we know that in the whole plane and space they are just potentials
\begin{gather}
\frac{1}{2\pi}\log \bigl((x\_1-y\_1)^2+(x\_2-y\_2)^2\bigr)^{\frac{1}{2}},\label{equ-H9.3}\\\\
-\frac{1}{4\pi}
\bigl((x\_1-y\_1)^2+(x\_2-y\_2)^2+(x\_3-y\_3)^2\bigr)^{-\frac{1}{2}}
\label{equ-H9.4}
\end{gather}
respectively.
<!--\end{problem}-->

**[Problem 9.](id:problem-7.P.9)**
Apply method of descent but now looking for stationary solution of
$-\Delta u=f(x\_1,x\_2,x\_3)$ instead of non-stationary solution of
\begin{align\*}
& u\_{tt}-\Delta u=f(x\_1,x\_2,x\_3),\\\\
& u|\_{t=0}=g(x\_1,x\_2,x\_3),\\\\
& u\_t|\_{t=0}=h(x\_1,x\_2,x\_3)
\end{align\*}
start from Kirchhoff formula
([9.1.12](../Chapter9/S9.1.html#mjx-eqn-eq-9.1.12)) and derive for $n=3$
([7.2.10](S7.2.html#mjx-eqn-eq-7.2.10)) with $G(x,y)$ equal to (\ref{equ-H9.4})
here.
<!--\end{problem}-->

---------------

[$\Leftarrow$](./S7.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S7.3.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter8/S8.1.html)


