<link href="../markdown.css" rel="stylesheet"></link>

<title>8.A. Separation of variable in elliptic and parabolic coordinates</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


##[8.A. Separation of variable in elliptic and parabolic coordinates](id:sect-8.A)
-------------------

> 1.  [Laplace equation in the ellipse](#sect-8.A.1)
> 2.  [Laplace equation in the parabolic annulus](#sect-8.A.2)
> 3.  [Helmholtz equation in the ellipse and parabolic annulus](#sect-8.A.3)
> 4.  [Helmholtz equation in the parabolic annulus](#sect-8.A.4)
> 5.  [Exercise](#sect-8.A.5)

Recall that elliptic and parabolic coordinates, and also  elliptic cylindrical and parabolic cylindrical coordinates are described in [Subsection 6.3.4](../Chapter6/S6.3.html#sect-6.3.4).


###[Laplace equation in the ellipse](id:sect-8.A.1)

Consider Laplace equation in the elliptic coordinates $(\mu,\nu)$:
\begin{equation}
\Delta u=
\frac{1}{c^2\bigl(\sinh^2(\mu)+\sin^2(\nu) \bigr)}
(\partial\_\mu^2 +\partial\_\nu^2 )u=0
\label{eq-8.A.1}
\end{equation}
which is obviously equivalent to
\begin{equation}
(\partial\_\mu^2 +\partial\_\nu^2 )u=0;
\label{eq-8.A.2}
\end{equation}
separating variables $u= M(\mu)N(\nu)$ we arrive to $M''= \alpha M$, $N''=-\alpha N$ with periodic boundary conditions for $N$; so
$N=\cos (n\nu), \sin (n\nu)$, $\alpha = n^2$ and $N=A cosh (n\mu) + B\sinh (n\mu)$. So
\begin{multline}
u\_n = A \cosh(n\mu)\cos (n\nu) + B \cosh(n\mu)\sin (n\nu) +\\\\
C \sinh(n\mu)\cos (n\nu) + D \sinh(n\mu)\sin (n\nu)
\label{eq-8.A.3}
\end{multline}
as $n=1,2,\ldots$ and similarly
\begin{equation}
u\_0 = A + Bu.
\label{eq-8.A.4}
\end{equation}
###[Laplace equation in the  parabolic annulus](id:sect-8.A.2)
Consider Laplace equation in the parabolic coordinates $(\sigma,\tau)$:
\begin{equation}
\Delta u =
\frac{1}{\sigma^2+\tau^2}
(\partial\_\sigma^2 +\partial\_\tau^2 )=0.
\label{eq-8.A.5}
\end{equation}
Then again formulae (\ref{eq-8.A.3}) and (\ref{eq-8.A.4}) work but with $(\mu,\nu)$ replaced by $(\sigma,\tau)$.

###[Helmholtz equation in the ellipse ](id:sect-8.A.3)
Consider Helmholtz equation in the elliptic coordinates $(\mu,\nu)$:
\begin{equation}
\Delta u=
\frac{1}{c^2\bigl(\sinh^2(\mu)+\sin^2(\nu) \bigr)}
(\partial\_\mu^2 +\partial\_\nu^2 )u=-k^2u
\label{eq-8.A.6}
\end{equation}
which can be rewritten as
\begin{equation}
\Bigl(\partial\_\mu^2 +k^2 c^2 \sinh^2(\mu) +
\partial\_\nu^2 +\sin^2(\nu) \Bigr)u=0
\label{eq-8.A.7}
\end{equation}
and separating variables we get
\begin{gather}
M''+k^2 c^2\bigl( \sinh^2(\mu) +\lambda\bigr)M=0,
\label{eq-8.A.8}\\\\
N''+k^2 c^2\bigl( \sin^2(\nu) -\lambda\bigr)N=0.
\label{eq-8.A.9}
\end{gather}

###[Helmholtz equation in the parabolic annulus](id:sect-8.A.4)
Consider Helmholtz equation in the parabolic coordinates $(\sigma,\tau)$:
\begin{equation}
\Delta u =
\frac{1}{\sigma^2+\tau^2}
(\partial\_\sigma^2 +\partial\_\tau^2 )=-k^2u
\label{eq-8.A.10}
\end{equation}
which can be rewritten as
\begin{equation}
\Bigl(\partial\_\sigma^2 +k^2  \sigma^2 +
\partial\_\tau^2 +k^2\tau^2 \Bigr)u=0
\label{eq-8.A.11}
\end{equation}
and separating variables we get
\begin{gather}
S''+k^2 \bigl( \sigma^2 +\lambda\bigr)S=0,
\label{eq-8.A.12}\\\\
N''+k^2 \bigl( \tau ^2-\lambda\bigr)T=0.
\label{eq-8.A.13}
\end{gather}

###[Exercise](id:sect-8.A.5)

Consider Laplace and Helmholtz equations in elliptic cylindrical and parabolic cylindrical coordinates.


---------------

[$\Leftarrow$](./S8.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter9/S9.1.html)
