<link href="./markdown.css" rel="stylesheet"></link>

<title>TOC</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
MathJax.Hub.Config({
tex2jax: {
inlineMath: [ ['$','$'], ["\\(","\\)"] ],
displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
TeX: {equationNumbers: {
autoNumber: "AMS"
  },Augment: {  Definitions: {
   macros: {
 overbracket:  ['UnderOver','23B4',1],
 underbracket: ['UnderOver','23B5',1],
   }
 }}},
});
</script>

##[TOC](#toc)

* [0. Preface](./Chapter0/S0.html)
* [0.1. What one needs to know?](./Chapter0/S0.1.html)


###[Chapter 1. Introduction](#chapter-1)
*   [1.1. PDE Motivations and Context](./Chapter1/S1.1.html)
*   [1.2. Initial and Boundary Value Problems](./Chapter1/S1.2.html)
*   [1.3. Classification of  equations](./Chapter1/S1.3.html)
*   [1.4. Origin of some equations](./Chapter1/S1.4.html)
*   [1.P. Problems to Chapter 1](./Chapter1/S1.P.html)



###[Chapter 2. $1$-dimensional waves](#chapter-2)
*   [2.1. First order PDEs](./Chapter2/S2.1.html)
*   [2.2. First order PDEs (continued.html)](./Chapter2/S2.2.html)
*   [2.3. Homogeneous $1$D Wave equation](./Chapter2/S2.3.html)
*   [2.4. 1D Wave equation reloaded: characteristic coordinates](./Chapter2/S2.4.html)
*   [2.5. Wave equation reloaded (continued.html)](./Chapter2/S2.5.html)
*   [2.6. 1D Wave equation: IBVP](#section-2.6.html)
*   [2.7. Energy integral](./Chapter2/S2.7.html)
*   [2.8. Hyperbolic first order systems with one spatial variable](./Chapter2/S2.8.html)

###[Chapter 3. Heat equation in 1D](#chapter-3)
*   [3.1. 1D Heat equation](./Chapter3/S3.1.html)
*   [3.2. Heat equation (Miscellaneous.html)](./Chapter3/S3.2.html)
*   [Appendix 3.A. Intro into project: Random Walks](./Chapter3/S3.A.html)

###[Chapter 4. Separation of variables and Fourier Series](#chapter-4)
*   [4.1. Separation of variables (the first blood.html)](./Chapter4/S4.1.html)
*   [4.2. Eigenvalue problem](./Chapter4/S4.2.html)
*   [4.3. Orthogonal systems](./Chapter4/S4.3.html)
*   [4.4. Ortogonal systems and Fourier series](./Chapter4/S4.4.html)
*   [4.5. Other Fourier series](./Chapter4/S4.5.html)
*   [Appendix 4.A. Calculation of negative eigenvalues in Robin problem](./Chapter4/S4.A.html)
*   [Appendix 4.B.  Multidimensional Fourier series](./Chapter4/S4.B.html)
*   [Appendix 4.C. Harmonic Oscillator](./Chapter4/S4.C.html)

###[Chapter 5. Fourier transform](#chapter-5)
*   [5.1. Fourier transform, Fourier integral](./Chapter5/S5.1.html)
*   [Appendix 5.1.A. Justification](./Chapter5/S5.1.A.html)
*   [Appendix 5.1.B. Discussion: pointwise convergence of Fourier integrals and series](./Chapter5/S5.1.A.html)
*   [5.2. Properties of Fourier transform](./Chapter5/S5.2.html)
*   [5.3. Applications of Fourier transform to PDEs](./Chapter5/S5.3.html)

###[Chapter 6. Separation of variables](#chapter-6)
*   [6.1. Separation of variables for heat equation](./Chapter6/S6.1.html)
*   [6.2. Separation of variables: Misc equations](./Chapter6/S6.2.html)
*   [6.3. Laplace operator in different coordinates](./Chapter6/S6.3.html)
*   [6.4. Laplace operator in the disk: separation of variables](./Chapter6/S6.4.html)
*   [6.5. Laplace operator in the disk. II](./Chapter6/S6.5.1.html)
*   [Appendix 6.A. Linear second order ODEs](./Chapter6/S6.A.html)

###[Chapter 7. Laplace equation](#chapter-7)
*   [7.1. General properties of Laplace equation](./Chapter7/S7.1.html)
*   [7.2. Potential theory and around](./Chapter7/S7.2.html)
*   [7.3. Green function](./Chapter7/S7.3.html)

###[Chapter 8. Separation of variables](#chapter-8)
*   [8.1. Separation of variable in spherical coordinates](./Chapter8/S8.1.html)
*   [8.2. Separation of variable in polar and cylindrical coordinates](./Chapter8/S8.2.html)
*   [8.3. Helmholtz equation in the cylinder](./Chapter8/S8.3.html)
*   [8.4. Laplace equation in the cylinder](./Chapter8/S8.2.3.html)
*   [Appendix 8.A. Separation of variable in elliptic and parabolic coordinates](./Chapter8/S8.A.html)

###[Chapter 9. Wave equation](#chapter-9)
*   [9.1. Wave equation: energy method](./Chapter9/S9.2.html)

###[Chapter 10. Variational methods](#chapter-10)
*   [10.1. Functionals: definitions](./Chapter10/S10.1.html)
*   [10. Functionals, extremums and variations.](./Chapter10/S10.2.html)
*   [10.3. Variational methods in physics](./Chapter10/S10.A.html)
*   [10.P. Problems](./Chapter10/S10.P.html)

###[Chapter 11. Distributions and weak solutions](#chapter-11)
*   [11.1. Distributions](./Chapter11/S11.1.html)
*   [11.2. Distributions: more](./Chapter11/S11.2.html)
*   [11.3. Applications of distributions](./Chapter11/S11.3.html)
*   [11.4. Weak solutions](./Chapter11/S11.4.html)

###[Chapter 12. Non-linear equations](#chapter-12)
*   [12.1 Burgers equation](./Chapter1/S12.1.html)

###[Chapter 13. Eigenvalues and eigenfunctions](#chapter-13)
* [13.1. Variational theory](./Chapter3/S13.1.html)
* [13.2. Asymptotic distribution of eigenvalues](./Chapter13/S13.2.html)
* [13.3. Properties of eigenfunctions](./Chapter13/S13.3.html)
* [13.4. Definitions and classification](./Chapter13/S13.4.html)
* [13.5. Continuous spectrum and scattering](./Chapter13/S13.5.html)

###[Chapter 14. Miscellaneous](#chapter-14)
* [14.1.1. Field theory](./Chapter14/S14.1.html)
* [14.2. Conservation laws](./Chapter14/S14.1.html)
* [14.3. Maxwell equations](./Chapter14/S14.1.html)

