<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Sections 4.3, 4.4, 4.5</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$





###[Problems to Sections 4.3, 4.4, 4.5](id:sect-4.5.P)

> 1. [Problem 1](#problem-4.5.P.1)
> 2. [Problem 2](#problem-4.5.P.2)
> 3. [Problem 3](#problem-4.5.P.3)
> 4. [Problem 4](#problem-4.5.P.4)
> 5. [Problem 5](#problem-4.5.P.5)
> 6. [Problem 6](#problem-4.5.P.6)

Some of the problems in this assignment could be solved based on the
other problems and such solutions are much shorter than from the
scratch; seeing and exploiting connections is a plus.

Here $\mathbb{N}=\\{1,2,3,\ldots\\}$,

**[Problem 1.](id:problem-4.5.P.1)**
Decompose into full Fourier series on interval $[-l,l]$:

a.  $e^{z x}$ where $z\in \mathbb{C}$; find "exceptional" values
    of $z$;
b.  $\cos(\omega x)$, $\sin (\omega x)$ where $0\<\omega\in
    \mathbb{R}$; fins "exceptional" values of $\omega$;
c.  $\cosh (\eta x)$, $\sinh (\eta x)$ where $0\<\eta\in
    \mathbb{R}$;
<!--\end{problem}-->

**[Problem 2.](id:problem-4.5.P.2)**
Decompose into full Fourier series on interval $[-l,l]$ and sketch the
graph of the sum of such Fourier series:

a.  $x$;
b.  $|x|$;
c.  $x^2$.
d. For problem (b) with $l=5$ plot 4 first partial sums like on the figure in the end of [Section 4.4](./S4.4.html)
<!--\end{problem}-->

**[Problem 3.](id:problem-4.5.P.3)**
Decompose into full Fourier series on interval $[-\pi,\pi]$ and
sketch the graph of the sum of such Fourier series:

a.  $|\sin(x)|$;
b.  $|\cos(x)|$.
<!--\end{problem}-->

**[Problem 4.](id:problem-4.5.P.4)**
Decompose into $\sin$ Fourier series on interval $[0,\pi]$ and
sketch the graph of the sum of such Fourier series:

a.  $1$;
b.  $x$;
c.  $x(\pi -x)$;
d.  $\sin (m x)$ with $m\in \mathbb{N}$;
e.  $\cos (m x)$ with $m\in \mathbb{N}$;
f.  $\sin ((m-\frac{1}{2}) x)$ with $m\in \mathbb{N}$.
<!--\end{problem}-->

**[Problem 5.](id:problem-4.5.P.5)**
Decompose into $\cos$ Fourier series on interval $[0,\pi]$ and
sketch the graph of the sum of such Fourier series:

a.  $1$;
b.  $x$;
c.  $x(\pi -x)$;
d.  $\sin (m x)$ with $m\in \mathbb{N}$;
e.  $\cos (m x)$ with $m\in \mathbb{N}$;
f.  $\sin ((m-\frac{1}{2}) x)$ with $m\in \mathbb{N}$.
<!--\end{problem}-->

**[Problem 6.](id:problem-4.5.P.6)**
Decompose into Fourier series with respect to $\sin
((n+\frac{1}{2})x)$ ($n=0,1,\ldots$) on interval $[0,2\pi]$ and
sketch the graph of the sum of such Fourier series:

a.  $1$;
b.  $x$;
c.  $x(\pi -x)$;
d.  $\sin (m x)$ with $m\in \mathbb{N}$;
e.  $\cos (m x)$ with $m\in \mathbb{N}$;
f.  $\sin ((m-\frac{1}{2}) x)$ with $m\in \mathbb{N}$.

____________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S4.5.html)&nbsp;&nbsp;[$\Rightarrow$](./S4.A.html)
